package com.huatek.busi.common;

/**
 * @ClassName: UploadCycle
 * @FullClassPath: com.frame.business.constant.UploadCycle
 * @Description: 上传周期
 * @author: Arno
 * @date: Aug 21, 2018 10:11:33 PM
 * @version: 1.0
 */
public final class UploadCycle {

    public static enum ConfigField {
        /** 开关柜测温装置 */
        cwzz,

        /* 除开关柜外其他主设备上的测温装置 */
        totalcwzz,

        /** SF6（温度，微水，压力） */
        sf6,

        /** 电缆沟监测 */
        dlgjczz,

        /** 开关柜红外套管 */
        kgghw,


        /** 机械特性 */
        jxtx,

        /** 局方装置*/
        jfzz,

        /** 电缆环流 */
        dlhl,

        /** 主变绕组测温 */
        byqrzcw,

        /** 电缆光纤测温 */
        dlgxcw,

        /** sf6环境 */
        sf6jczz,

        /** 中心点传感器 */
        zxdcgq,

        /** 噪声传感器 */
        zscgq,

        /** 振动传感器（上侧） */
        zdcgqup,

        /** 振动传感器（下侧） */
        zdcgqdown,


        /** gis气象 */
        gisqx,

        gishw,

        /** 变压器-油色谱 */
        yspzz,

        txzz,

        jjzz,

        byqtg,

        byqqx,

        byqhw,

        /** 避雷器装置（绝缘监测） */
        blqzz,

        blqhw,

        blqtg,

        blqrx,

        blqqx,

        /* 电缆 */
        dlhw,  //  20230423 新增电缆红外
        dldlhl, // 20230423 新增电缆-电缆环流

        /** 其他红外 */
        qthw,

       /** 其他电缆环流 **/
        qtdlhl,

        /** 拍照装置 */
        pzzz,

        /* 20230424新增 发电机装置*/
        fdjzz,
        ;
    }
}
