package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 避雷器读表、拍照数据 Dto
 *
 * @author anker_cheng
 * @date 2019-8-22 16:34:39
 */
@ApiModel(value = "ArresterReadTableDto", description = "避雷器读表、拍照数据 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class ArresterReadTableDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "")
    private Long id;

    /**
     * 站点id
     */
    @ApiModelProperty(name = "siteId", value = "站点id")
    private String siteId;

    /**
     * 设备编码
     */
    @ApiModelProperty(name = "systemCode", value = "设备编码")
    private String systemCode;

    /**
     * Sersorid编码
     */
    @ApiModelProperty(name = "sensorCode", value = "Sersorid编码")
    private String sensorCode;

    /**
     * 监测时间 
     */
    @ApiModelProperty(name = "timeStamp", value = "监测时间 ")
    private LocalDateTime timeStamp;

    /**
     * 放电电流(mA)
     */
    @ApiModelProperty(name = "dlval", value = "放电电流(mA)")
    private String dlval;

    /**
     * 图片路径及文件名
     */
    @ApiModelProperty(name = "picpath", value = "图片路径及文件名")
    private String picpath;
}