package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * SF6统计Dto
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class GisSf6PressureStatisticsDto extends PageBean implements Serializable {
    private static final long serialVersionUID = -4168543696543269810L;

    private String sensorCode;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private String cacMonitorTypeCode;
}
