 package com.huatek.busi.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "InfraredThermalImagDto", description = "IEC104-业务点表配置表 Dto", parent = PageBean.class)
 @Data
 @EqualsAndHashCode(callSuper = false)
 public class InfraredThermalImagDto extends PageBean implements Serializable{/**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 设备编号
     */
    private String eqmCode;
    /**
     * 设备名称
     */
    private String eqmName;
    /**
     * sensorid
     */
    private String sensorId;
    /**
     *传感器名称
     */
    private String sensorName;
    /**
     * 最高温度
     */
    private BigDecimal hTemper;
    /**
     * 最低温度
     */
    private BigDecimal lTemper;
    /**
     * 平均温度
     */
    private BigDecimal avgTemper;
    /**
     * 数据时间
     */
    private LocalDateTime rtpTime;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    
    /**
     * 开始时间
     */
    private LocalDateTime startDate;

    /**
     * 结束时间
     */
    private LocalDateTime endDate;
}
