package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@EqualsAndHashCode(callSuper = false)
public class ReadTableCurrentDto extends PageBean implements Serializable {
    private static final long serialVersionUID = -3924009075063680410L;
    @ApiModelProperty(name = "id", value = "")
    private String id;

    @ApiModelProperty(name = "type", value = "类型：1——变压器 ; 2——GIS ;  4——避雷器")
    private String type;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTime;

    @ApiModelProperty(name = "dTimeEnd", value = "监测时间截止 ")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate dTimeEnd;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;
}
