package com.huatek.busi.dto;
import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 视频生产检测
 * @author buck_guo
 * @date 2019/07/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class VideoProduceMonitorDto extends PageBean implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 站点ID
     */
    private String siteId;


    /**
     * sensorId  外挂设备名
     */
    private String equipmentName;
    
    /**
     * 标牌
     */
    private String equipmentBrand;

    
    /**
     * 安装位置
     */
    private String installLocation;
    
}