package com.huatek.busi.dto.monitor;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 在线监测——监测数据：监测值存储表 Dto
 *
 * @author anker_cheng
 * @date Sep 16, 2019 3:21:17 PM
 */
@ApiModel(value = "BusiOnlineMonitorDataInfoDto", description = "在线监测——监测数据：监测值存储表 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiOnlineMonitorDataInfoDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 关联主表ID
     */
    @ApiModelProperty(name = "refId", value = "关联主表ID")
    private String refId;

    /**
     * JSON数据字符串
     */
    @ApiModelProperty(name = "data", value = "JSON数据字符串")
    private String data;
}