package com.huatek.busi.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 告警详情表 entity
 *
 * @author anker_cheng
 * @date Aug 6, 2019 2:45:57 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eqm_warning_info")
public class BusiEqmWarningInfo extends Pojo implements Serializable  {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 告警ID
     */
    @FieldName("warning_id")
    private String warningId;

    /**
     * 告警信息
     */
    @FieldName("warning_info")
    private String warningInfo;
}
