package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class CubicleStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;


    /**
     * 外挂id
     */
    @FieldName("t_id")
    private String tId;

    /**
     * 设备id
     */
    @FieldName("mainEquipment_id")
    private String mainEquipmentId;


    /**
     * 设备名称
     */
    @FieldName("switchgear_name")
    private String switchgearName;

    /**
     * 外挂设备名称
     */
    @FieldName("sensor_name")
    private String sensorName;


    /**
     * 设备编码
     */
    @FieldName("sensor_code")
    private String sensorCode;

    /**
     * 设备状态
     */
    @FieldName("status")
    private String status;


    /**
     * 设备告警状态
     */
    @FieldName("warning_type")
    private String warningType;



    /**
     * 实际次数
     */
    @FieldName("real_count")
    private BigDecimal totalRealCount;

    /**
     * 应该次数
     */
    @FieldName("must_count")
    private BigDecimal totalMustCount;

    /**
     * 故障数
     */
    @FieldName("faultNumber")
    private Integer faultNumber;

    /**
     * 在线数
     */
    @FieldName("normalNumber")
    private BigDecimal normalNumber;


    /**
     * 在线装置总数
     */
    @FieldName("number")
    private BigDecimal number;


    /**
     * 在线率
     */
    @FieldName("onlineRate")
    private String onlineRate;

    /**
     * 统计时间
     */
    @FieldName("d_time")
    private String dTime;



    /**
     * 展示开关柜优先级
     */
    @FieldName("prior")
    private String prior;


}
