package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class EquipmentSensorCache extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    @FieldName("id")
    private String id;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * sensorId
     */
    @FieldName("sensor_id")
    private String sensorId;

    /**
     * sensorName
     */
    @FieldName("sensor_name")
    private String sensorName;


    /**
     * sensor编码类型
     */
    @FieldName("ext_equipment_code")
    private String extEquipmentCode;

    /**
     * 所有外挂装置数
     */
    @FieldName("number")
    private BigDecimal number;

    /**
     * 在线数
     */
    @FieldName("normalNumber")
    private Integer normalNumber;

    /**
     * 异常数
     */
    @FieldName("faultNumber")
    private BigDecimal faultNumber;

    /**
     * normalIds
     */
    @FieldName("normal_ids")
    private String normalIds;


    /**
     * faultIds
     */
    @FieldName("fault_ids")
    private String faultIds;

    /**
     * 在线率
     */
    @FieldName("onlineRate")
    private String onlineRate;

    /**
     * 数据上传时间
     */
    @FieldName("time_stamp")
    private String timeStamp;



}
