package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class EquipmentSumSensorCache extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 站点id
     */
    @FieldName("id")
    private String id;

    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;


    /**
     * 站点id
     */
    @FieldName("sensor_name")
    private String sensorName;

    /**
     * 所有外挂装置数
     */
    @FieldName("number")
    private Integer number;

    /**
     * 在线数
     */
    @FieldName("normalNumber")
    private Integer normalNumber;

    /**
     * 异常数
     */
    @FieldName("faultNumber")
    private Integer faultNumber;

    /**
     * 在线率
     */
    @FieldName("onlineRate")
    private String onlineRate;


    /**
     * normalIds
     */
    @FieldName("normal_ids")
    private String normalIds;


    /**
     * faultIds
     */
    @FieldName("fault_ids")
    private String faultIds;

}
