package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class ParameterMake extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键唯一标识
     */
    @FieldName("id")
    private String id;


    /**
     * 关联附件编号
     */
    @FieldName("ref_id")
    private String refId;

    /**
     * 报告编号
     */
    @FieldName("report_id")
    private String reportId;

    /**
     * 报告名称
     */
    @FieldName("file_name")
    private String fileName;

    /**
     * 试验项名称
     */
    @FieldName("test_item")
    private String testItem;

    /**
     * 打标字段
     */
    @FieldName("mark")
    private String mark;

    /**
     * 当前值
     */
    @FieldName("current_value")
    private String currentValue;


    /**
     * 参数类型
     */
    @FieldName("e_param")
    private String eParam;

    /**
     * 参数类型
     */
    @FieldName("equ_type_rule")
    private String equTypeRule;

    /**
     * 主设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;



    @FieldName("create_time")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;


    @FieldName("test_date")
    @ApiModelProperty(value = "testDate", name = "创建时间")
    private LocalDateTime testDate;

    @FieldName("start_date")
    @ApiModelProperty(value = "startDate", name = "创建时间")
    private LocalDateTime startDate;


    @FieldName("end_date")
    @ApiModelProperty(value = "endDate", name = "创建时间")
    private LocalDateTime endDate;



}
