package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

@Data
public class TransformerLoadRate extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 日负荷率
     */
    @FieldName("load_rate")
    private String loadRate;

    /**
     * 负荷时间
     */
    @FieldName("load_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String loadTime;

    /**
     * 变压器ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 变压器名称
     */
    @FieldName("name")
    private String name;
}
