package com.huatek.busi.vo;

import java.io.Serializable;
import java.util.List;

import com.huatek.busi.vo.warning.BusiCapaItemVo;

import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 避雷器容性实时数据二级页面数据 Vo
 * 
 * @author edward
 * @date 2019/10/28
 */
@Data
@Builder
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiCapacitanceMonitorVo", description = "避雷器容性实时数据二级页面数据 Vo")
public class BusiCapacitanceMonitorVo extends BusiSubInfoVo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private List<BusiCapaItemVo> list;
}
