package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 站点设备树级结构名称 Vo
 *
 * @author edward
 * @date 2019-11-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEquipmentVo implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;
	
	@ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
}
