package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——监测设备类型 Vo
 *
 * @author anker_cheng
 * @date Jul 23, 2019 9:50:41 AM
 */
@ApiModel(value = "BusiEvaMonitorEquipmentVo", description = "考评指标——监测设备类型 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEvaMonitorEquipmentVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 监测设备类型名称
     */
    @ApiModelProperty(name = "name", value = "监测设备类型名称")
    private String name;
}