package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——监测单元 Vo
 *
 * @author anker_cheng
 * @date Jul 23, 2019 9:50:41 AM
 */
@ApiModel(value = "BusiEvaMonitorUnitVo", description = "考评指标——监测单元 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEvaMonitorUnitVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 考评指标——监测设备类型ID
     */
    @ApiModelProperty(name = "eqTypeId", value = "考评指标——监测设备类型ID")
    private String eqTypeId;

    /**
     * 监测单元名称
     */
    @ApiModelProperty(name = "name", value = "监测单元名称")
    private String name;
    
    /**
     * 外挂设备类型
     */
    @ApiModelProperty(name = "equipmentType", value = "外挂设备类型")
    private String equipmentType;
    
    /**
     * 主设备分类
     */
    @ApiModelProperty(name = "type", value = "主设备分类")
    private String type;
}