package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 测温装置
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiGeneratorAmplBaiDuVo implements Serializable {
    /** 监测时间 */
    @FieldName("d_time")
    private LocalDateTime dTime;

    /** 振动X轴位移 */
    @FieldName("ampl_x")
    private BigDecimal amplX;

    /** 振动Y轴位移 */
    @FieldName("ampl_y")
    private BigDecimal amplY;

}