package com.huatek.busi.vo;

import com.huatek.busi.dto.EvaluationNameDto;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * GIS标牌信息表 Vo
 *
 * @author anker_cheng
 * @date Jul 17, 2019 4:46:15 PM
 */
@ApiModel(value = "BusiGisCaculateStepVo", description = "GIS结果追溯vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiGisCaculateStepVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 步骤
     */
    @ApiModelProperty(name = "steps", value = "步骤")
    private String steps;

    /**
     * number
     */
    @ApiModelProperty(name = "number", value = "分析参数number")
    private String number;

    /**
     * 站点ID
     */
    @ApiModelProperty(name = "siteId", value = "站点ID")
    private String siteId;


    /**
     * 主设备ID
     */
    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    private List<EvaluationNameDto> stepList;
}
