package com.huatek.busi.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class BusiOfflineCableBrandVo implements Serializable {

    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    @ApiModelProperty(name = "mainEquipmentId", value = "主设备ID")
    private String mainEquipmentId;

    @ApiModelProperty(name = "manufacturer", value = "主设备ID")
    private String manufacturer ;

    @ApiModelProperty(name = "factory_time", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime factoryTime;

    @ApiModelProperty(name = "siteCode", value = "主设备ID")
    private String siteCode ;

    @ApiModelProperty(name = "cableName", value = "产品名称")
    private String cableName;

    @ApiModelProperty(name = "cableModel", value = "产品型号")
    private String cableModel;

    @ApiModelProperty(name = "equipmentCode", value = "设备编号")
    private String equipmentCode;

    @ApiModelProperty(name = "createUser", value = "创建人ID")
    private String createUser;

    @ApiModelProperty(name = "rated_voltage", value = "额定电压")
    private String ratedVoltage;

    @ApiModelProperty(name = "rated_current", value = "额定电流")
    private String ratedCurrent;

    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;

    @ApiModelProperty(name = "updateUser", value = "更新者")
    private String updateUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "updateTime", value = "更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty(name = "status", value = "状态：A:可用  D:不可用")
    private String status;

}
