package com.huatek.busi.vo;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 站点表 Vo
 *
 * @author anker_cheng
 * @date Jul 2, 2019 2:22:23 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSiteTreeVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 设备Id
     */
    private String id;
    /**
     * 设备名称
     */
    private String name;
    /**
     * 设备间隔名称
     */
    private String parentName;
    /**
     * 设备间隔Id
     */
    private String parentId;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 系统设备编码
     */
    private String systemCode;
    /**
     * 变电名称
     */
    private String mvaName;
}
