package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 站点表 Vo
 *
 * @author anker_cheng
 * @date Jul 2, 2019 2:22:23 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSiteVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 站点地址
     */
    private String siteAddress;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
    /**
     * 
     */
    private String status;
    /**
     * 
     */
    private String createUser;
    /**
     * 
     */
    private String createName;
    /**
     * 机构
     */
    private String orgCode;
}