package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 视频对象
 * @author buck_guo
 * @date 2019/07/24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiVideoVo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 
     */
    private String siteId;

    /**
     * 
     */
    private String eqmCode;
    
    /**
     * 
     */
    private String equipmentName;

    /**
     * 
     */
    @FieldName("type")
    private String type;

    /**
     * 
     */
    private String taskName;

    /**
             * 对应sesor_code
     */
    private String taskCode;
    
    /**
     * 对应sesor_code
    */
    private String sensorName;

    /**
     * 
     */
    private String rtspUrl;

    private String httpUrl;


    /**
     * 
     */
    private String createUser;

    /**
     * 
     */
    private String status;

    /**
     * 
     */
    private String delFlag;

    /**
     * 
     */
    private String createName;

    /**
     * 
     */
    private LocalDateTime createDate;

    /**
     * 
     */
    private Integer sort;
    
    /**
     * 查询开始时间
     */
    private LocalDate startDate;
    
    /**
     * 查询结束时间
     */
    private LocalDate endDate;
    
    private String siteName;

}