package com.huatek.busi.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class CalculateStepVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "stepJson", name = "步骤json格式")
    private String stepJson;

    @ApiModelProperty(value = "siteId", name = "电站编号")
    private String siteId;

    @ApiModelProperty(value = "equipmentType", name = "设备类型")
    private String equipmentType;

    @ApiModelProperty(value = "mainEquipmentId", name = "设备编号")
    private String mainEquipmentId;

    @ApiModelProperty(value = "executeMode", name = "执行方式（0 手动 1 定时任务）")
    private Integer executeMode;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(name = "createTime", value = "创建时间")
    private LocalDateTime createTime;
}
