package com.huatek.busi.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class GlobalSettingItemVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识", required = true)
    private String id;

    @ApiModelProperty(value = "fileUploadNumber", name = "附件上传数量")
    private Integer fileUploadNumber;

    @ApiModelProperty(value = "rootPath", name = "上传服务器根路径")
    private String rootPath;

    @ApiModelProperty(value = "localTempPath", name = "本地临时文件路径")
    private String localTempPath;

    @ApiModelProperty(value = "createUser", name = "创建者")
    private String createUser;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;
}
