 package com.huatek.busi.vo;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;
import lombok.EqualsAndHashCode;
@Data
@EqualsAndHashCode(callSuper = false)
public class MeteorologicalVo implements Serializable{
    
    private static final long serialVersionUID = 1L;
    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 设备编码
     */
    private String siteEqmCode;

    /**
     * 监测时间
     */
    private String dTime;
    
    /**
     * sensorCode
     */
    private String sensorCode;
    
    
    /**
     * sensorName
     */
    private String sensorName;
    

    /**
     * 气温(℃)
     */
    private String airTemperature;

    /**
     * 气压
     */
    private String airPressure;

    /**
     * 湿度
     */
    private String humidity;

    /**
     * 20230101fdh新增风速
     * 风速
     */
    private String wdgustspd;

    /**
     * 日负荷率
     */
    private String loadRate;
    
    /**
     * 主设备ID
     */
    private String mainEquipmentId;

    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    
    
    /**
     * 主设备编号
     */
    private String mainEquipmentCode;
    
    /**
     * 外挂设备编号
     */
    private String subEquipmentCode;
    
    /**
     * 变电站标识
     */
    private String substationId;
}
