package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDate;

import com.alibaba.fastjson.annotation.JSONField;
import com.huatek.busi.vo.readtable.TransReadTableCurrentVo;

import lombok.Data;

@Data
public class ReadTableCurrentVo implements Serializable {
    private static final long serialVersionUID = 3857383565129699855L;
    private String sensorId;

    private String siteId;

    private String mainTreeId;

    private String subTreeId;

    private String sensorCode;
    private String sensorName;
    private String sensorBrand;

    private String equipmentName;
    private String manufactor;
    private String equipmentBrand;
    private String installLocation;

    private LocalDate useDate;

    private String eqType;

    /////////////////////////////////////
    @JSONField(unwrapped = true)
    private TransReadTableCurrentVo data = new TransReadTableCurrentVo();
}
