package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
  * @ClassName: TransformerTmpVo
  * @FullClassPath: com.huatek.busi.vo.TransformerTmpVo
  * @Description: TODO
  * @author: Arno
  * @date: Aug 21, 2019 4:27:31 PM
  * @version: 1.0
  */

@ApiModel(value = "TransformerTmpVo", description = "变压器绑定 Vo")
@Data
public class TransformerTmpVo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 3841553313873029472L;

	/** @Fields transformerId : 变压器站点树ID */
	@ApiModelProperty(name = "transformerId", value = "变压器站点树ID")
	private String transformerId;

	/** @Fields transformerName : 变压器名称 */
	@ApiModelProperty(name = "transformerName", value = "变压器名称")
	private String transformerName;

	/** @Fields manufacturer : 变压器生产厂家 */
	@ApiModelProperty(name = "manufacturer", value = "变压器生产厂家")
	private String manufacturer;

	/** @Fields equipmentModel : 设备型号 */
	@ApiModelProperty(name = "equipmentModel", value = "变压器型号")
	private String equipmentModel;
	
	/** @Fields equipmentModel : 变压器绑定数量 */
	@ApiModelProperty(name = "bindNumber", value = "变压器绑定数量")
	private String bindNumber;

}
