package com.huatek.busi.vo.cable;

import com.huatek.busi.vo.BusiSubInfoVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDate;

@ApiModel(value = "BusiCableCirculationWarningVo", description = "电缆环流 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiCableCirculationWarningVo extends BusiSubInfoVo implements Serializable {

    private static final long serialVersionUID = 1783921223215564802L;

    @ApiModelProperty(name = "alarmValue", value = "报警值")
    private String alarmValue;

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    private String warningValue;

    @ApiModelProperty(name = "increaseRate", value = "日增长率阈值（%）")
    private String RelativeGrowthDayVal;

    @ApiModelProperty(name = "monthlyincreaseRate", value = "月增长率（%）")
    private String monthlyincreaseRate;

    @ApiModelProperty(name = "predailyGrowthRate", value = "日增长率预警值（%）")
    private String RelativeGrowthPrewarningDayVal;

    @ApiModelProperty(name = "premonthlyGrowthRate", value = "月增长率预警值（%）")
    private String RelativeGrowthPrewarningMonthVal;

    @ApiModelProperty(name = "dailyGrowthRate", value = "增长率（%）")
    private String dailyGrowthRate;

    @ApiModelProperty(name = "monthlyGrowthRate", value = "月增长率阈值（%）")
    private String RelativeGrowthMonthVal;

    @ApiModelProperty(name = "collectValue", value = "采集数据")
    private String collectValue;

    @ApiModelProperty(name = "runState", value = "工作状态")
    private String runState;

    @ApiModelProperty(name = "dtime", value = "获取时间")
    private LocalDate dtime;
}
