package com.huatek.busi.vo.epa;

import lombok.Data;

/**
 * @version V1.0
 * @ClassName: EpaCapacitanceDataVo
 * @Description: 变压器容性
 * @Author: Arno
 * @Date: 2023/10/17 19:12
 */
@Data
public class EpaCapacitanceDataVo {

    //全电流 (mA)
    public String totalCurrent;
    //电容量
    public String capacitance;

    public String aFullCurrent;
    public String aCapacitance;
    public String aLossFactor;

    public String bFullCurrent;
    public String bCapacitance;
    public String bLossFactor;

    //泄漏电流
    public String cFullCurrent;
    //电容量(pF)
    public String cCapacitance;
    //介质损耗因数
    public String cLossFactor;
}
