package com.huatek.busi.vo.index;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 设备信息和统计信息
 * 
 * @author anker_cheng
 * @date 2019/07/10
 */
@ApiModel(value = "IndexEquipInfoVo", description = "设备信息和统计信息", parent = IndexEquipCodeVo.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class IndexEquipInfoVo extends IndexEquipCodeVo {

    @ApiModelProperty(name = "worstAccuracy", value = "最差精度指标")
    private String worstAccuracy;

    @ApiModelProperty(name = "equipStability", value = "设备稳定性指标")
    private String equipStability;

    @ApiModelProperty(name = "monthFailureRate", value = "数据缺失率（月）")
    private String monthFailureRate;

    @ApiModelProperty(name = "misReportRate", value = "误报率（月）")
    private String misReportRate;

    @ApiModelProperty(name = "repairCount", value = "维修次数")
    private String repairCount;
}
