package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 测量绝缘电阻
 * 
 * @author buck_guo
 * @date 2019/08/29
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "Resistance", description = "B像")
public class Resistance implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 相别
     */
    @ApiModelProperty(name = "firstQuarter", value = "第一节")
    private String mutually;
    /**
     * 第一节
     */
    @ApiModelProperty(name = "firstQuarter", value = "第一节")
    private String firstQuarter;
    /**
     * 第二节
     */
    @ApiModelProperty(name = "secondQuarter", value = "第二节")
    private String secondQuarter;
    /**
     * 第三节
     */
    @ApiModelProperty(name = "thirdQuarter", value = "第三节")
    private String thirdQuarter;
    /**
     * 底座
     */
    @ApiModelProperty(name = "base", value = "底座")
    private String base;

}
