package com.huatek.busi.vo.routinetest.gis;

import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/** 测量导电回路的直流电阻 */
@ApiModel(value = "DcResistorPart", description = "测量导电回路的直流电阻", parent = GisBasePart.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class DcResistorPart extends GisBasePart {

    /**
     *
     */
    private static final long serialVersionUID = 2467179727830799675L;

    @ApiModelProperty(name = "items", value = "列表")
    private List<GisBaseItemPart> items;
}
