package com.huatek.busi.vo.routinetest.gis;

import java.io.Serializable;
import java.time.LocalDate;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class GisBasePart implements Serializable{
    private static final long serialVersionUID = 2973123629997809770L;

    /** 试验内容 */
    @ApiModelProperty(name = "testContent", value = "试验内容")
    private String testContent;

    /** 试验设备 */
    @ApiModelProperty(name = "testEquipment", value = "试验设备")
    private String testEquipment;

    /** 试验日期 */
    @ApiModelProperty(name = "testDate", value = "试验日期")
    private LocalDate testDate;

    /** 环境温度 */
    @ApiModelProperty(name = "evnTemperature", value = "环境温度")
    private String evnTemperature;

    /** 相对数湿度 */
    @ApiModelProperty(name = "relativeHumidity", value = "相对数湿度")
    private String relativeHumidity;

    /** 结论备注 */
    @ApiModelProperty(name = "resultComment", value = "结论备注")
    private String resultComment;

    /** 校核者 */
    @ApiModelProperty(name = "checker", value = "校核者")
    private String checker;

    /** 测试者 */
    @ApiModelProperty(name = "tester", value = "测试者")
    private String tester;

    /** 签名 */
    @ApiModelProperty(name = "signature", value = "签名")
    private String signature;
}
