package com.huatek.busi.vo.routinetest.transformer;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: TestBase
 * @FullClassPath: com.huatek.busi.vo.routinetest.transformer.TestBase
 * @Description: TODO
 * @author: Arno
 * @date: Aug 22, 2019 3:26:15 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TestBase implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 1123891626101169528L;

	/** @Fields testContent : 试验内容 */
	@JSONField(ordinal = 1)
	public String testContent;

	/** @Fields testEquipment : 试验设备 */
	@JSONField(ordinal = 2)
	public String testEquipment;

	/** @Fields testTime : 试验时间 */
	@JSONField(ordinal = 3)
	public LocalDateTime testTime;

	/** @Fields checker : 校核者 */
	public String checker;

	/** @Fields tester : 试验者 */
	public String tester;

	/** @Fields signature : 签名 */
	public String signature;

	/** @Fields remarks : 结论及备注 */
	public String remarks;

}
