package com.huatek.busi.vo.stability;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class BusiSF6StabilityVo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = 6020441695143392300L;

	/**
	 * 传感器编码
	 */
	@ApiModelProperty(name = "sensorCode", value = "传感器编码")
	private String sensorCode;

	/**
	 * 指标状态 0-无 1-发电 2-抽水 3-空闲
	 */
	@ApiModelProperty(name = "indexType", value = "指标状态  1-发电  2-抽水  3-空闲  ")
	private String indexType;

	private List<SF6StabilityVo> list;

}
