package com.huatek.busi.vo.stability;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
  * @ClassName: CapacitanceEquipmentImStabilityVo
  * @FullClassPath: com.huatek.busi.vo.stability.CapacitanceEquipmentImStabilityVo
  * @Description: TODO
  * @author: Arno
  * @date: Sep 17, 2019 2:00:38 PM
  * @version: 1.0
  */

@Data
@EqualsAndHashCode(callSuper = false)
public class CapacitanceEquipmentImStabilityVo extends BaseStabilityVo implements Serializable{

	/** @Fields serialVersionUID : */ 
	private static final long serialVersionUID = 4520597145538653187L;
	
	@ApiModelProperty(name = "totalCurrent", value = "泄露电流(mA)")
	public String totalCurrent;
	
	@ApiModelProperty(name = "lossFactor", value = "介质损耗因数")
	public String lossFactor;
	
	@ApiModelProperty(name = "capacitance", value = "电容量(pF)")
	public String capacitance;
}
