/**
 *
 */
package com.huatek.busi.vo.warning;

import java.io.Serializable;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiWcgVo
 * @FullClassPath: com.huatek.busi.vo.BusiWcgVo
 * @Description: 测温柜芯二级页面数据.
 * @author: Arno
 * @date: Aug 2, 2019 2:44:24 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiWcgVo", description = "测温柜二级页面数据 Vo")
public class BusiWcgVo extends BusiSubInfoVo implements Serializable {

    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = -8458050818034313055L;

//    @ApiModelProperty(name = "phase", value = "相别 ")
//    private String phase;

    @ApiModelProperty(name = "collectValue", value = "采集数据")
    /** @Fields collectValue :采集数据 */
    private String collectValue;

    @ApiModelProperty(name = "alarmValue", value = "报警值")
    /** @Fields alarmValue :报警值 */
    private String alarmValue;


    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    /** @Fields thresholdValue :阈值 */
    private String thresholdValue;


    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    /** @Fields equipmentStatus :设备状态 */
    private String equipmentStatus;

    @ApiModelProperty(name = "dayIncreaseRate", value = "日增长率（%/日）")
    /** @Fields dayIncreaseRate :日增长率（%/日） */
    private String dayIncreaseRate;


    @ApiModelProperty(name = "monthIncreaseRate", value = "月增长率（%/月）")
    /** @Fields monthIncreaseRate :月增长率（%/月）*/
    private String monthIncreaseRate;
}
