package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "labReportParamDataSelectVo")
public class LabReportParamDataSelectVo extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "equType", name = "设备标识")
    private String equType;

    @ApiModelProperty(value = "refId", name = "关联附件编号")
    private String refId;

    @ApiModelProperty(value = "deleted", name = "删除标识 0 否 1 是")
    private String deleted;

    @ApiModelProperty(value = "ismark", name = "是否打标 01 是")
    private String isMark;
}
