package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "sysFileSelectVo", description = "")
public class SysFileSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "equType", name = "设备类型")
    private String equType;

    @ApiModelProperty(value = "fileType", name = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "businessId", name = "业务编号")
    private String businessId;

    @ApiModelProperty(value = "deleted",name = "是否删除 0否 1是")
    private String deleted;

}
