package com.huatek.busi.service;

import com.huatek.busi.entity.BusiEqmWarningInfo;

import java.util.List;

/**
 * 告警详情表 Service
 *
 * @author anker_cheng
 * @date Aug 6, 2019 2:46:06 PM
 */
public interface BusiEqmWarningInfoService {

	/**
	* @Title: save
	* @Description: 保存告警详情
	* @createDate: Aug 8, 2019 3:55:19 PM
	* @param   entity
	* @return   void
	*/
	int save(BusiEqmWarningInfo entity);


	/**
	 * @Title: findByWarningId
	 * @Description: 根据告警ID获取
	 * @createDate: Aug 8, 2019 3:55:19 PM
	 * @param   warningId  告警ID
	 * @return   BusiEqmWarningInfo
	 */
	BusiEqmWarningInfo findByWarningId(String  warningId);
}
