package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.entity.WiringDiagram;
import com.huatek.busi.where.LabReportBasisDataSelectVo;
import com.huatek.busi.where.LabReportBasisDataStatisticsWhereVo;
import com.huatek.busi.where.LabReportParamDataSelectVo;
import com.huatek.busi.where.SysFileDiagramSelectVo;

import java.util.List;
import java.util.Map;

public interface IWiringDiagramService {

    PageInfo<WiringDiagram>  list(SysFileDiagramSelectVo sysFileDiagramSelectVo);


    /**
     *
     * @param file 导入文件字节数组
     * @param token
     * @param type 0--折线图
     * @param fileName 导入文件名
     * @param fileType 前端传递
     * @return
     */
    Map<String, Object> importFile(byte[] file, String token, String type, String fileNamenew, String rootPath,String fileType,String fileName);


    int deleteWiringDiagram(String token, List<String> idList);


    Map<String, Object> importModelFile(byte[] file, String token, String type, String fileNameNew, String rootPath,String modelType,String fileName,String siteId, String status);

    int deleteModel(String token, List<String> idList);
}
