package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.ReadTableCurrentDto;
import com.huatek.busi.dto.ReadTableVisualization;
import com.huatek.busi.vo.ReadTableCurrentVo;
import com.huatek.busi.vo.ReadTableVisualizationVo;

/**
 * 读表、拍照数据
 * 
 * @author buck_guo
 * @date 2019/09/10
 */
public interface ReadTableVisualizationService {
    PageInfo<ReadTableVisualizationVo> findReadTableVisualizationPageData(ReadTableVisualization readTableVisualizatio);

    /**
     * 图片读表 实时数据分页查询
     * 
     * @param readTableCurrentDto
     * @return
     */
    PageInfo<ReadTableCurrentVo> findReadTableCurrentPageData(ReadTableCurrentDto readTableCurrentDto);
}