package com.huatek.busi.service.cable;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.cable.BusiCableCirculationCacheDto;
import com.huatek.busi.entity.BusiCableCirculationCache;
import com.huatek.busi.entity.IBusiCable;
import com.huatek.busi.vo.cable.BusiCableCirculationCacheVo;

/**
 * @author Mitchell_ma
 * @date 2021-9-1
 */
public interface CableCirculationCacheService {
    /**
     * 分页查找查找 其他——电缆环流电流暂存数据(类型编码 ：028001)
     *
     * @param dto
     * @return
     */
    Page<BusiCableCirculationCacheVo> findCableCirculationCachePage(BusiCableCirculationCacheDto dto);

    /**
     * 保存或更新实时数据
     *
     * @param cacEntity
     * @return
     */
    int saveCableCirculationCache(IBusiCable cacEntity);

    /**
     * 根据树ID获取
     *
     * @param mainTreeId
     * @param subTreeId
     * @param type
     * @return
     */
    BusiCableCirculationCache findByTreeId(String mainTreeId, String subTreeId, String type);
}
