package com.huatek.busi.service.capacitance;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import com.huatek.busi.vo.CapacitanceEquipmentImStatisticsVo;
import com.huatek.busi.vo.stability.CapacitanceEquipmentImStabilityVo;

/**
 * 电容型设备——绝缘监测：022001 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface CapacitanceEquipmentImService{

	List<CapacitanceEquipmentImStabilityVo> getByStatus(String sensorCode, String status, LocalDateTime begin,
			LocalDateTime end);

	CapacitanceEquipmentImStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
}
