package com.huatek.busi.service.gis;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOutlineGisExperimentDataDto;
import com.huatek.busi.entity.BusiOutlineGisExperimentData;
import com.huatek.busi.vo.BusiOutlineGisExperimentDataVo;

/**
 * 离线数据--GIS开关试验数据 Service
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:37 PM
 */
public interface BusiOutlineGisExperimentDataService {

    /**
     * 分页查找查找 离线数据--GIS开关试验数据
     *
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return Page<BusiOutlineGisExperimentDataVo> 离线数据--GIS开关试验数据List
     */
    Page<BusiOutlineGisExperimentDataVo> findBusiOutlineGisExperimentDataPage(BusiOutlineGisExperimentDataDto busiOutlineGisExperimentDataDto);


    /**
     * 添加 离线数据--GIS开关试验数据
     *
     * @param token token
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return int 影响的行数
     */
    int addBusiOutlineGisExperimentData(String token,BusiOutlineGisExperimentDataDto busiOutlineGisExperimentDataDto);

    /**
     *  通过id查找 离线数据--GIS开关试验数据
     *
     * @param id 主键
     * @return BusiOutlineGisExperimentData 离线数据--GIS开关试验数据
     */
    BusiOutlineGisExperimentData findBusiOutlineGisExperimentData(String id);

    /**
     * 修改 离线数据--GIS开关试验数据
     *
     * @param token token
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return int 影响的行数
     */
    int updateBusiOutlineGisExperimentData(String token, BusiOutlineGisExperimentDataDto busiOutlineGisExperimentDataDto);

    /**
     * 删除 离线数据--GIS开关试验数据
     *
     * @param token token
     * @param busiOutlineGisExperimentDataDto 离线数据--GIS开关试验数据Dto
     * @return int 影响的行数
    */
    void deleteBusiOutlineGisExperimentData(String [] ids);
}
