package com.huatek.busi.service.gis;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import com.huatek.busi.vo.GisSf6PressureStatisticsVo;
import com.huatek.busi.vo.stability.SF6StabilityVo;

/**
 * 断路器/GIS——SF6气体压力：024004、024005 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface GisSf6PressureService {

    List<SF6StabilityVo> getByStatus(String sensorCode, String status, LocalDateTime begin, LocalDateTime end);

    GisSf6PressureStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
    
    void updateSF6();
}