/**
 * 
 */
package com.huatek.busi.service.report;

import java.util.List;
import java.util.Map;

/**
  * @ClassName: BusiExportReportService
  * @Description: 导出报告服务
  * @author: Arno
  * @date: Sep 23, 2019 11:02:35 AM
  * @version: 1.0
  */

public interface BusiExportReportService {

	/** 
	* @Title: buildExportData 
	* @Description: 构建导出的数据 
	* @createDate: Sep 23, 2019 11:08:56 AM
	* @param    exportType 导出报告类型
	* @return   Map<String,Object>    
	*/ 
	public Map<String,Object> buildExportData(String exportType, List<String> sernsors, String exportTime,String startTime,String endTime);
	
}
