package com.huatek.busi.service.substation;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.SubstationMicCacheDto;
import com.huatek.busi.entity.TransformerMeteorological;
import com.huatek.busi.vo.MeteorologicalVo;
import com.huatek.busi.vo.SubstationMicCacheVo;

/**
 * 变电站微气象暂存数据 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 4:19:37 PM
 */
public interface SubstationMicCacheService {

    /**
     * 分页查找查找 变电站微气象暂存数据
     *
     * @param substationMicCacheDto 变电站微气象暂存数据Dto
     * @return Page<SubstationMicCacheVo> 变电站微气象暂存数据List
     */
    Page<SubstationMicCacheVo> findSubstationMicCachePage(SubstationMicCacheDto substationMicCacheDto);

    /**
     * 保存变电站微气象暂存数据
     * 
     * @param cacEntity
     * @return
     */
    int saveSubstationMicCache(TransformerMeteorological cacEntity);

    MeteorologicalVo queryMeteorologicalInfo();
}
