package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.Map;

import com.huatek.busi.entity.TransformerEpaIncreaseStatistics;

/**
 * 变压器油色谱增长率统计 Service
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:49:05 AM
 */
public interface TransformerEpaIncreaseStatisticsService {

    void saveTransformerEpaIncreaseStatistics(LocalDateTime beforeDate, TransformerEpaIncreaseStatistics param);

    /**
     * 获取传感器某一天的相对增长率
     * 
     * @param sensorCode
     * @param day
     * @return
     */
    Map<String, Object> getGrowthRateMap(String sensorCode, LocalDate day);
}
