package com.huatek.busi.service.transformer;

import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.TransformerPdCacheDto;
import com.huatek.busi.dto.monitor.BusiOnlineMonitorDataDto;
import com.huatek.busi.entity.TransformerPd;
import com.huatek.busi.vo.TransformerPdCacheVo;

/**
 * 变压器局部放电暂存数据(  类型编码 ：021001) Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 6:32:08 PM
 */
public interface TransformerPdCacheService {

    /**
     * 分页查找查找 变压器局部放电暂存数据(  类型编码 ：021001)
     *
     * @param transformerPdCacheDto 变压器局部放电暂存数据(  类型编码 ：021001)Dto
     * @return Page<TransformerPdCacheVo> 变压器局部放电暂存数据(  类型编码 ：021001)List
     */
    PageInfo<TransformerPdCacheVo> findTransformerPdCachePage(TransformerPdCacheDto transformerPdCacheDto);

    PageInfo<Map<String, Object>> findTransformerPdCachePage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);

    /**
     * 保存变压器局放实时数据
     * 
     * @param transformerPd 局放数据
     * @return
     */
    int saveTransformerPdCache(TransformerPd transformerPd);
}
