package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOfflineGisCheckDto;
import com.huatek.busi.vo.BusiOfflineGisCheckVo;

/**
 * GIS投运验收结论 Mapper
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:06 PM
 */
@Repository
public interface  BusiOfflineGisCheckMapper {

	/**
	 * 分页查询 GIS投运验收结论
     *
	 * @param busiOfflineGisCheckDto GIS投运验收结论Dto
	 * @return Page GIS投运验收结论List
	 */
	Page<BusiOfflineGisCheckVo> selectBusiOfflineGisCheckPage(BusiOfflineGisCheckDto busiOfflineGisCheckDto);

	BusiOfflineGisCheckVo getBusiOfflineGisCheckVo(String id);

	String checkExist(@Param("equipmentId")String equipmentId, @Param("id")String id);

	int batchDel(@Param("ids")List<String> ids);
}

