package com.huatek.busi.mapper;

import com.huatek.busi.vo.BusiSemiAutomaticEvaluateDataVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface BusiSemiAutomaticEvaluateDataMapper {
    BusiSemiAutomaticEvaluateDataVo getLatestByEquipmentType(@Param("equipmentType") String equipmentType,
                                                             @Param("mainEquipmentId") String mainEquipmentId,
                                                             @Param("siteId") String siteId);

    List<BusiSemiAutomaticEvaluateDataVo> getAllByEquipmentID(@Param("equipmentType") String equipmentType,
                                                              @Param("mainEquipmentId") String mainEquipmentId,
                                                              @Param("siteId") String siteId);
}
