package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.dto.CapacitanceEquipmentImCacheDto;
import com.huatek.busi.entity.CapacitanceEquipmentImCache;
import com.huatek.busi.vo.CapacitanceEquipmentImCacheVo;

/**
 * 电容型设备——绝缘监测：022001实时数据表 Mapper
 *
 * @author anker_cheng
 * @date Oct 28, 2019 7:01:59 PM
 */
@Repository
public interface CapacitanceEquipmentImCacheMapper {

    CapacitanceEquipmentImCache getCapacitanceEquipmentImCache(@Param("subTreeId") String subTreeId,
        @Param("sensorCode") String sensorCode);
    
    CapacitanceEquipmentImCacheVo getUptoDateCapacitanceMonitor(CapacitanceEquipmentImCacheDto cacheDto);
}
