package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.FailureRate;

/**
 * 数据缺失率 Mapper
 *
 * @author anker_cheng
 * @date Jul 15, 2019 3:43:26 PM
 */
@Repository
public interface FailureRateMapper {

    FailureRate getFailureRate(@Param("siteId") String siteId, @Param("mainTreeId") String mainTreeId,
        @Param("sensorCode") String sensorCode, @Param("date") LocalDate date);

    /**
     * 统计缺失率
     * 
     * @param param
     * @return
     */
    Map<String, Object> getLossRateCount(Map<String, Object> param);
}