package com.huatek.busi.mapper;

import com.huatek.busi.entity.BusiParamTransformerVoluntarily;
import com.huatek.busi.entity.BusiSiteTree;
import com.huatek.busi.entity.TransformerLoadRate;
import com.huatek.busi.vo.BusiGisCaculateStepVo;
import com.huatek.busi.vo.BusiParamGisVo;
import com.huatek.busi.vo.BusiParamTransformerVoluntarilyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.vo.GisAssessmentResultVo;

import java.time.LocalDate;
import java.util.List;

@Repository
public interface GisAssessmentResultMapper {

    Page<GisAssessmentResultVo> findGisAssessmentByMainTreeId(@Param("siteId")String siteId,
                                                              @Param("mainTreeId")String mainTreeId,
                                                              @Param("startTime") LocalDate startTime,
                                                              @Param("endTime") LocalDate endTime,
                                                              @Param("type") String type);

    BusiGisCaculateStepVo findCalculateStep(String pid);

    List<BusiParamTransformerVoluntarilyVo> findBusiGISParam(@Param("siteId") String siteId,
                                                             @Param("mainTreeId") String mainTreeId,
                                                             @Param("number") String number);

    List<BusiParamTransformerVoluntarilyVo> findBusiByqParam(@Param("siteId") String siteId,
                                          @Param("mainTreeId") String mainTreeId,
                                          @Param("number") String number);
    String findEqType(@Param("siteId") String siteId,
                      @Param("mainTreeId") String mainTreeId);

    List<BusiSiteTree> findMainTreeId(@Param("parentId") String parentId);

    List<BusiSiteTree> findParentId();

    TransformerLoadRate findAllLoadRate(@Param("mainEquipmentId") String mainEquipmentId, @Param("date") String date);
}
