package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.GisLoacurrentdWaveformDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.vo.GisLoacurrentdWaveformVo;

/**
 * 断路器/GIS——负荷电流波形：024003 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface  GisLoacurrentdWaveformMapper extends BaseCurveSensorMapper{

	/**
	 * 分页查询 断路器/GIS——负荷电流波形：024003
     *
	 * @param gisLoacurrentdWaveformDto 断路器/GIS——负荷电流波形：024003Dto
	 * @return Page 断路器/GIS——负荷电流波形：024003List
	 */
	Page<GisLoacurrentdWaveformVo> selectGisLoacurrentdWaveformPage(GisLoacurrentdWaveformDto gisLoacurrentdWaveformDto);
}

