package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;
import com.github.pagehelper.Page;

import com.huatek.busi.dto.GisRcWaveformDto;
import com.huatek.busi.vo.GisRcWaveformVo;

/**
 * 断路器/GIS——分合闸线圈电流波形：024002 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface  GisRcWaveformMapper {

	/**
	 * 分页查询 断路器/GIS——分合闸线圈电流波形：024002
     *
	 * @param gisRcWaveformDto 断路器/GIS——分合闸线圈电流波形：024002Dto
	 * @return Page 断路器/GIS——分合闸线圈电流波形：024002List
	 */
	Page<GisRcWaveformVo> selectGisRcWaveformPage(GisRcWaveformDto gisRcWaveformDto);

}

