package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.GisSf6IncreaseRateCache;

/**
 * sf6温度、微水、压力增长率暂存表 Mapper
 *
 * @author anker_cheng
 * @date Oct 23, 2019 8:55:23 PM
 */
@Repository
public interface GisSf6IncreaseRateCacheMapper {

    int deleteItem(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);

    GisSf6IncreaseRateCache getItem(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);
    
    Map<String,Object> getCurrentAvgIncreasePressure(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day);
}
