package com.huatek.busi.mapper;

import java.time.LocalDate;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.HwTemperIncreaseRate;

/**
 * 红外测温温度增长率表 Mapper
 *
 * @author anker_cheng
 * @date Oct 24, 2019 10:41:02 AM
 */
@Repository
public interface HwTemperIncreaseRateMapper {

    int deleteItem(@Param("mainTreeId") String mainTreeId, @Param("sensorCode") String sensorCode,
        @Param("day") LocalDate day);

    HwTemperIncreaseRate getItem(@Param("mainTreeId") String mainTreeId, @Param("sensorCode") String sensorCode,
        @Param("day") LocalDate day);
}