package com.huatek.busi.mapper;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 避雷器--红外测温超标率每日汇总
 * 
 * @author buck_guo
 * @date 2019/07/16
 */
@Repository
public interface RptAretTemperSummaryChaobiaolvMapper {

    int deleteOneDayData(@Param("day") LocalDate day);

    List<Map<String, Object>> findOneDayCountData(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);

    BigDecimal getChaoBiaoCount(Map<String, Object> param);
}