package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ScheduleJobLogDto;
import com.huatek.busi.entity.ScheduleJobLog;
import com.huatek.busi.vo.ScheduleJobLogVo;

/**
 * @ClassName: ScheduleJobLogMapper
 * @FullClassPath: com.huatek.busi.mapper.ScheduleJobLogMapper
 * @Description: 定时任务日志Mapper
 * @author: edward_luo
 * @date: Jul 16, 2019 15:37:16 PM
 * @version: 1.0
 */

@Repository
public interface ScheduleJobLogMapper {
	
	/**
	 * 分页查询定时任务日志表
     *
	 * @param ScheduleJobLogDto
	 * @return Page 定时任务日志List
	 */
	Page<ScheduleJobLogVo> findScheduleJobLogPage(ScheduleJobLogDto scheduleJobLogDto);
	
	/**
	 * 保存定时任务日志
	 */
	int insertScheduleJobLog(ScheduleJobLog scheduleJobLog);
}
