package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;
import com.github.pagehelper.Page;

import com.huatek.busi.dto.SubstationMicMidDto;
import com.huatek.busi.vo.SubstationMicMidVo;

/**
 * 变电站微气象中间表 Mapper
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:35 AM
 */
@Repository
public interface  SubstationMicMidMapper {

	/**
	 * 分页查询 变电站微气象中间表
     *
	 * @param substationMicMidDto 变电站微气象中间表Dto
	 * @return Page 变电站微气象中间表List
	 */
	Page<SubstationMicMidVo> selectSubstationMicMidPage(SubstationMicMidDto substationMicMidDto);

}

