package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;

import com.huatek.busi.vo.epa.TemperatureEvaluateDataVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 变压器气象数据统计 Mapper
 *
 * @author anker_cheng
 * @date Oct 28, 2019 12:30:42 PM
 */
@Repository
public interface TransformerMeteorologicalStatisticsMapper {

    int deleteItem(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day,
        @Param("cacMonitorTypeCode") String cacMonitorTypeCode);

    List<TemperatureEvaluateDataVo> selectStatistics(@Param("mainTreeId") String mainTreeId,
                                                     @Param("startDate") Date startDate, @Param("endDate") Date endDate);
}
