package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabBlqReportBasisData;
import com.huatek.busi.entity.LabReportBasisData;
import com.huatek.busi.entity.RBlqDataRecord;
import com.huatek.busi.entity.RMasterDataRecord;
import com.huatek.busi.service.IRBlqBasisDataService;
import com.huatek.busi.service.IRBlqDataRecordService;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@Service(interfaceClass = IRBlqBasisDataService.class)
@Transactional(rollbackFor = Exception.class)
public class LabBlqReportBasisDataServiceImpl extends BaseDao<LabBlqReportBasisData, String> implements IRBlqBasisDataService {

    @Override
    public int insert(LabReportBasisData labReportBasisData){
        LabBlqReportBasisData labBlqReportBasisData = new LabBlqReportBasisData();
        BeanUtils.copyProperties(labReportBasisData, labBlqReportBasisData);
        return this.addLocal(labBlqReportBasisData);
    }
}
