package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabDlReportMarkStatistic;
import com.huatek.busi.entity.LabReportMarkStatistic;
import com.huatek.busi.service.ILabDlReportMarkStatisticService;
import com.huatek.busi.service.ILabReportMarkStatisticService;
import com.huatek.busi.vo.LabReportMarkStatisticVo;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Slf4j
@Component
@Service(interfaceClass = ILabDlReportMarkStatisticService.class)
@Transactional(rollbackFor = Exception.class)
public class LabDlReportMarkStatisticServiceImpl extends BaseDao<LabDlReportMarkStatistic, String> implements ILabDlReportMarkStatisticService {

    @Override
    public int insert(LabReportMarkStatisticVo labReportMarkStatisticVo){
        LabDlReportMarkStatistic labDlReportMarkStatistic = new LabDlReportMarkStatistic();
        BeanUtils.copyProperties(labReportMarkStatisticVo, labDlReportMarkStatistic);
        return this.add(labDlReportMarkStatistic);
    }
}
