package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabDlReportBasisData;
import com.huatek.busi.entity.LabKggReportBasisData;
import com.huatek.busi.entity.LabReportBasisData;
import com.huatek.busi.service.IRDlBasisDataService;
import com.huatek.busi.service.IRKggBasisDataService;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@Service(interfaceClass = IRKggBasisDataService.class)
@Transactional(rollbackFor = Exception.class)
public class LabKggReportBasisDataServiceImpl extends BaseDao<LabKggReportBasisData, String> implements IRKggBasisDataService {

    @Override
    public int insert(LabReportBasisData labReportBasisData){
        LabKggReportBasisData labKggReportBasisData = new LabKggReportBasisData();
        BeanUtils.copyProperties(labReportBasisData, labKggReportBasisData);
        return this.addLocal(labKggReportBasisData);
    }
}
