package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabKggReportParamData;
import com.huatek.busi.service.ILabDlReportParamDataService;
import com.huatek.busi.service.ILabKggReportParamDataService;
import com.huatek.busi.service.ILabReportParamDataService;
import com.huatek.busi.vo.LabReportParamDataVo;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@Service(interfaceClass = ILabKggReportParamDataService.class)
@Transactional(rollbackFor = Exception.class)
public class LabKggReportParamDataServiceImpl extends BaseDao<LabKggReportParamData, String> implements ILabKggReportParamDataService {

    @Override
    public int insert(LabReportParamDataVo labReportParamDataVo){
        LabKggReportParamData labKggReportParamData = new LabKggReportParamData();
        BeanUtils.copyProperties(labReportParamDataVo, labKggReportParamData);
        return this.add(labKggReportParamData);
    }
}
