package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.OperateParam;
import com.huatek.busi.service.IOperateParamService;
import com.huatek.torch.sql.dao.impl.BaseDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Slf4j
@Component
@Service(interfaceClass = IOperateParamService.class)
@Transactional(rollbackFor = Exception.class)
public class OperateParamServiceImpl extends BaseDao<OperateParam, String> implements IOperateParamService {

    @Override
    public int batchInsert(List<OperateParam> list) {
        return this.addLocal(list);
    }
}
