package com.huatek.busi.service.impl.gis;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.mapper.GisHomePageMapper;
import com.huatek.busi.service.gis.GisHomePageService;
import com.huatek.busi.vo.HeaderInfoVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author plus_wang
 */
@Component
@Service(interfaceClass = GisHomePageService.class)
@Transactional(rollbackFor = Exception.class)
public class GisHomePageServiceImpl implements GisHomePageService {
    @Autowired
    private GisHomePageMapper gisHomePageMapper;

    @Override
    public HeaderInfoVo getHeaderInfo(String id) {
        return gisHomePageMapper.findHeaderInfoById(id);
    }
}
