package com.huatek.busi.service.impl.transformer;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.BusiTransfromerSubTree;
import com.huatek.busi.mapper.BusiTransfromerSubTreeMapper;
import com.huatek.busi.service.transformer.BusiTransformerSubTreeService;

@Component
@Service(interfaceClass = BusiTransformerSubTreeService.class)
@Transactional(rollbackFor = Exception.class)
public class BusiTransformerSubTreeServiceImpl implements BusiTransformerSubTreeService {

	@Autowired
	private BusiTransfromerSubTreeMapper busiTransformerSubTreeMapper;

	@Override
	public List<BusiTransfromerSubTree> findTransformerSubTree() {
		List<BusiTransfromerSubTree> list = busiTransformerSubTreeMapper.findTransformerSubTree();
		return list;
	}

}
