package com.huatek.frame.base.util;

/**
 * @author key
 * 系统静态变量类
 */
public class Constants {

	/**
	 * 默认是
	 */
	public static final String DEFAULT_YES = "1";

	/**
	 * 默认否
	 */
	public static final String DEFAULT_NO = "0";

	/**
	 * 默认打标
	 */
	public static final String IS_MARK = "01";

	/**
	 * 中国
	 */
	public static final String CHINA_CODE = "1";

	/**
	 * 中文编码zh_CN
	 */
	public static final String CHINA_CN = "zh_CN";

	/**
	 * menu
	 */
	public static final String MENU = "menu";

	/**
	 * button
	 */
	public static final String BUTTON = "button";

	/**
	 * 菜单level=1
	 */
	public static final Integer LEVEL_ONE = 1;

	/**
	 * 默认密码
	 */
	public static final String DEFAULT_PASSWORD = "123456";

	public static final String BT_TYPE = "1";
	public static final String THJG_TYPE = "2";
	public static final String YYTHJG_TYPE = "3";
	public static final String BLDRQ_TYPE = "4";
	public static final String HZDZ_TYPE = "5";

	/**
	 * 无数据
	 */
	public static final String NO_DATA = "/";

	public static final String BEGIN = "begin";

	public static final String END = "end";

	public static final String FIRST_ROW = "firstRow";

	public static final String END_ROW = "endRow";

	public static final String RIGHT = "√";

	public static final String SITE = "站点";

	public static final String SUBSTATION_NAME = "变电名称";

	public static final String T_EQU_LITTLE_TYPE = "设备小类";

	public static final String A_EQU_LITTLE_TYPE = "报告类别";

	public static final String G_EQU_LITTLE_TYPE = "设备间隔";

	public static final String G_EQU_TYPE = "设备类型（断路器/开关/快速接地刀闸/pt/ct）";

	public static final String EQU_ID = "设备编号";

	public static final String EQU_NAME = "设备名称";

	public static final Integer PARAM_SIZE_ERROR = 0;
	public static final String PARAM_SIZE_ERROR_MSG = "输入参数不足";

	public static final Integer PARAM_NULL = 1;
	public static final String PARAM_NULL_MSG = "参数有空";

	public static final Integer PARAM_NOT_INTACT = 2;
	public static final String PARAM_NOT_INTACT_MSG = "输入参数不完整";

	public static final Integer CALCULATE_SUCCESS = 3;

	public static final String CALCULATE_SUCCESS_MSG = "计算成功";

	public static final Integer PROGRAM_EXCEPTION = 4;
	public static final String PROGRAM_EXCEPTION_MSG = "程序异常";

	public static final Integer NO_FAULT = 10;
	public static final String NO_FAULT_MSG = "无故障";

	public static final Integer OVER_THRESHOLD = 11;
	public static final String OVER_THRESHOLD_MSG = "超阈值";

	public static final Integer THREE_RATIO = 12;
	public static final String THREE_RATIO_MSG = "三比值";

	public static final Integer NINE_RATIO = 13;
	public static final String NINE_RATIO_MSG = "九比值";

	public static final String FLOAT_POTENTIAL_CODE = "0";
	public static final String FLOAT_POTENTIAL = "悬浮电位";

	public static final String METAL_PARTICL_CODE = "1";
	public static final String METAL_PARTICL = "金属微粒";

	public static final String METAL_SPIK_CODE = "2";
	public static final String METAL_SPIK = "导体上金属尖刺";

	public static final String NORMAL_CODE = "3";
	public static final String NORMAL_STATUS = "正常";

	public static final Integer NORMAL = 0;
	public static final String NORMAL_MSG = "正常";

	public static final Integer TAKE_CARE = 1;
	public static final String TAKE_CARE_MSG = "注意";

	public static final Integer ABNORMAL = 2;
	public static final String ABNORMAL_MSG = "异常";

	public static final Integer SERIOUS = 3;
	public static final String SERIOUS_MSG = "严重";

	public static final String BEST = "1";
	public static final String BEST_STATUS = "优";
	public static final String BEST_MSG = "设备基本正常运行";

	public static final String GOOD = "2";
	public static final String GOOD_STATUS = "良";
	public static final String GOOD_MSG = "应定期加以巡视";

	public static final String MIDDLE = "3";
	public static final String MIDDLE_STATUS = "中";
	public static final String MIDDLE_MSG = "应适时安排检修";

	public static final String BAD = "4";
	public static final String BAD_STATUS = "差";
	public static final String BAD_MSG = "应尽快检修或更换";

	public static final String T_PARAM_TEST = "技术参数试验";
	public static final String G_MACHINE_CHARACTERISTIC_TEST = "动作特性试验（电气）";

	/**
	 * 评估参数对应离线参数单位标识
	 */
	public static final String UNIT = "unit";
	public static final String EMPTY = "empty";

	public static final String KEY = "key";

	/**
	 * GIS局部放电诊断
	 */
	public static final String GISPD = "GISPD";
	/**
	 * GIS机械故障诊断
	 */
	public static final String GISMEC = "GISmec";
	/**
	 * 断路器状态评估
	 */
	public static final String ASSESS = "assess";
	/**
	 * 开关柜机械故障诊断
	 */
	public static final String SWITCH = "switch";
	/**
	 * 发电机定子绝缘状态诊断
	 */
	public static final String GENERATOR = "Generator";
	/**
	 * 电缆
	 */
	public static final String CABLE = "Cable";

	/**
	 * 额定电压
	 */
	public static final String NOMINAL_VOLTAGE = "0046";
	/**
	 * 额定电流
	 */
	public static final String RATED_FREQUENCY = "0047";
	/**
	 * 额定短路断开电流
	 */
	public static final String ELECTRIC_CURRENT = "0048";
	/**
	 * 额定短路断开次数
	 */
	public static final String BREAK_TIME = "0049";

	/**
	 * 产品成熟度(套数)
	 */
	public static final String PUMPING_TIME = "0051";

	/**
	 * 产品成熟度(套数)
	 */
	public static final String PRODUCT_MATURITY = "0053";

	/**
	 * 知名度
	 */
	public static final String POPULARITY = "0054";
	/**
	 * 出厂年月
	 */
	public static final String FACTORY_TIME = "0055";
	/**
	 * 设计使用年限（年）
	 */
	public static final String SERVICE_TIME = "0057";

	/**
	 * 合闸时间-A相
	 */
	public static final String CLOSE_TIME_A = "0071";

	/**
	 * 分闸时间-A相
	 */
	public static final String BRANCH_TIME_A = "0070";

	/**
	 * 合闸不同期时间-A相
	 */
	public static final String CLOSE_ASYNCHRONOUS_TIME_A = "0073";

	/**
	 * 分闸不同期时间-A相
	 */
	public static final String BRANCH_ASYNCHRONOUS_TIME_A = "0072";

	/**
	 * 断开电流（KA）-A相
	 */
	public static final String BREAK_CURRENT_A = "0074";

	/**
	 * 合闸时间-B相
	 */
	public static final String CLOSE_TIME_B = "0076";

	/**
	 * 分闸时间-B相
	 */
	public static final String BRANCH_TIME_B = "0075";

	/**
	 * 合闸不同期时间-B相
	 */
	public static final String CLOSE_ASYNCHRONOUS_TIME_B = "0078";

	/**
	 * 分闸不同期时间-B相
	 */
	public static final String BRANCH_ASYNCHRONOUS_TIME_B = "0077";

	/**
	 * 断开电流（KA）-B相
	 */
	public static final String BREAK_CURRENT_B = "0079";

	/**
	 * 合闸时间-C相
	 */
	public static final String CLOSE_TIME_C = "0080";

	/**
	 * 分闸时间-C相
	 */
	public static final String BREAK_TIME_C = "0081";

	/**
	 * 合闸不同期时间-C相
	 */
	public static final String CLOSE_ASYNCHRONOUS_TIME_C = "0083";

	/**
	 * 分闸不同期时间-C相
	 */
	public static final String BRANCH_ASYNCHRONOUS_TIME_C = "0082";

	/**
	 * 断开电流（KA）-C相
	 */
	public static final String BREAK_CURRENT_C = "0084";

	/**
	 * 刚分不同期时间
	 */
	public static final String JUST_SPLIT_DIFFERENT_TIME = "0085";

	public static final String TABLE_NAME = "x_calculate_basic_data";

	/**
	 * 仿真文件路径
	 */
	public static final String PATH_NAME_1 = "/gis/switch/0/4/15.csv";
	public static final String PATH_NAME_2 = "/gis/switch/0/4/17.csv";

	public static final String PATH_NAME_3 = "/gis/switch/0/5/17.csv";
	public static final String PATH_NAME_4 = "/gis/switch/0/5/19.csv";

	public static final String PATH_NAME_5 = "/gis/switch/0/6/21.csv";
	public static final String PATH_NAME_6 = "/gis/switch/0/6/23.csv";

	public static final String PATH_NAME_7 = "/gis/switch/1/11/20.csv";
	public static final String PATH_NAME_8 = "/gis/switch/1/11/22.csv";

	public static final String PATH_NAME_9 = "/gis/switch/1/12/18.csv";
	public static final String PATH_NAME_10 = "/gis/switch/1/12/20.csv";

	public static final String PATH_NAME_11 = "/gis/switch/1/13/20.csv";
	public static final String PATH_NAME_12 = "/gis/switch/1/13/22.csv";
}
