package com.huatek.frame.base.dto;

import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 区域 Dto
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */
@Setter
@Getter
public class AreaDTO extends PageBean implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 父id
	 */
	@ApiModelProperty(value="父id",name="parent",required=true)
	private String parent;
	/**
	 * 编码
	 */
	@ApiModelProperty(value="编码",name="code",required=true)
	private String code;
	/**
	 * 是否删除0否 1是
	 */
	@ApiModelProperty(value="是否删除0否 1是",name="deleted",required=true)
	private String deleted;
	/**
	 * 省
	 */
	@ApiModelProperty(value="省",name="province",required=true)
	private String province;
	/**
	 * 市
	 */
	@ApiModelProperty(value="市",name="city",required=true)
	private String city;
	/**
	 * 区
	 */
	@ApiModelProperty(value="区",name="district",required=true)
	private String district;
	/**
	 * 区域id
	 */
	@ApiModelProperty(value="区域id",name="id",required=true)
	private String id; 

}