package com.huatek.frame.base.dto;

import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_资源 Dto
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */
@Setter
@Getter
public class PermissionDTO extends PageBean implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 
	 */
	@ApiModelProperty(value="图标",name="ico",required=true)
	private String ico;
	/**
	 * 
	 */
	@ApiModelProperty(value="等级",name="level",required=true)
	private Integer level;
	/**
	 * 
	 */
	@ApiModelProperty(value="名称",name="pname",required=true)
	private String pname;
	/**
	 * 
	 */
	@ApiModelProperty(value="父id",name="parentId",required=true)
	private String parentId;
	/**
	 * 
	 */
	@ApiModelProperty(value="资源类型",name="resourceType",required=true)
	private String resourceType;
	/**
	 * 是否删除(0 否 1是)
	 */
	@ApiModelProperty(value="是否删除(0 否 1是)",name="deleted",required=true)
	private String deleted;
	/**
	 * 
	 */
	@ApiModelProperty(value="权限编码",name="permission",required=true)
	private String permission;
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	/**
	 * 
	 */
	@ApiModelProperty(value="页面地址",name="url",required=true)
	private String url;
	
	@ApiModelProperty(value="内部菜单",name="iFrame",required=true)
	private String iFrame;

	@ApiModelProperty(value="父名称",name="parentName",required=true)
	private String parentName;
}