package com.huatek.frame.base.dto;

import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_角色 Dto
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */
@Setter
@Getter
public class RoleDTO extends PageBean implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 是否删除(0 否 1是)
	 */
	@ApiModelProperty(value="是否删除(0 否 1是)",name="deleted",required=true)
	private String deleted;
	/**
	 * 备注
	 */
	@ApiModelProperty(value="备注",name="comment",required=true)
	private String comment;
	/**
	 * 角色
	 */
	@ApiModelProperty(value="角色",name="role",required=true)
	private String role;
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	/**
	 * 父组织
	 */
	@ApiModelProperty(value="父组织",name="groupId",required=true)
	private String groupId;
}