package com.huatek.frame.base.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 装置 Vo
 *
 * @date 2023-2-7 17:03:45
 */
@Setter
@Getter
public class ComponentVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 装置名称
	 */
	@ApiModelProperty(value="装置名称",name="id",required=true)
	private String component;
	/**
	 * 装置code
	 */
	@ApiModelProperty(value="装置code",name="name",required=true)
	private String componentCode;
	/**
	 * 模型类型
	 */
	@ApiModelProperty(value="模型类型",name="modelType",required=true)
	private String modelType;
	/**
	 * 装置简称
	 */
	@ApiModelProperty(value="装置简称",name="abbreviation",required=true)
	private String abbreviation;
}