package com.huatek.frame.base.vo;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_字典明细 Vo
 *
 * @author key_dong
 * @date 2018-7-11 14:03:47
 */
@Setter
@Getter
public class DictionnaireDetailVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 字典id
	 */
	@ApiModelProperty(value="字典id",name="pid",required=true)
	private String pid;
	/**
	 * 是否删除0否 1是
	 */
	@ApiModelProperty(value="是否删除0否 1是",name="deleted",required=true)
	private String deleted;
	/**
	 *
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	/**
	 * 字典明细名称
	 */
	@ApiModelProperty(value="字典明细名称",name="name",required=true)
	private String dname = "";
	/**
	 * 字典明细code
	 */
	@ApiModelProperty(value="字典明细编码",name="code",required=true)
	private String dcode = "";
}
