package com.huatek.frame.base.vo;

import java.io.Serializable;
import java.util.List;

import com.huatek.frame.base.entity.DictionnaireDetail;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_字典 Vo
 *
 * @author key_dong
 * @date 2018-7-11 14:03:47
 */
@Setter
@Getter
public class DictionnaireVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 字典名称
	 */
	@ApiModelProperty(value="字典名称",name="name",required=true)
	private String name="";
	/**
	 * 字典code
	 */
	@ApiModelProperty(value="字典编码",name="code",required=true)
	private String code="";
	/**
	 * 是否删除0否 1是
	 */
	@ApiModelProperty(value="是否删除0否 1是",name="deleted",required=true)
	private String deleted;
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	

	@ApiModelProperty(value="字典明细集合",name="details",required=true)
	private List<DictionnaireDetail> details; 
}