package com.huatek.frame.base.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 模型 Vo
 *
 * @date 2023-2-7 17:03:45
 */
@Setter
@Getter
public class ModeTypeVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 模型名称
	 */
	@ApiModelProperty(value="模型名称",name="name",required=true)
	private String name;
	/**
	 * 模型类型
	 */
	@ApiModelProperty(value="模型类型",name="modelType",required=true)
	private String modelType;
}