package com.huatek.frame.base.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author key
 *
 */
@Setter
@Getter
public class RoleUserVO implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3657878836683642349L; 

	@ApiModelProperty(value="title",name="title",required=true)
	private String title;
	@ApiModelProperty(value="value",name="value",required=true)
	private String value;
	@ApiModelProperty(value="是否选中",name="checked",required=true)
	private boolean checked;
	@ApiModelProperty(value="角色用户关系",name="data",required=true) 
	private List<RoleUserVO> data=new ArrayList<>(0); 
}
