package com.huatek.frame.base.mapper;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.huatek.frame.base.dto.UserDTO;
import com.huatek.frame.base.vo.PermissionVO;
import com.huatek.frame.base.vo.UserVO; 

/**
 * @author key_dong
 *
 */
@Repository
public interface LoginMapper { 
	 /**
	  * 根据用户id获取可用资源
	  * @param param
	  * @return
	  */
	List<PermissionVO> findByUserId(Map<String, Object> param);
	
	/**
	 * 用户登录
	 * @param user
	 * @return
	 */
	UserVO login(UserDTO user);
}
