package com.huatek.frame.base.mapper;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.frame.base.dto.PermissionDTO;
import com.huatek.frame.base.vo.MenuVO;
import com.huatek.frame.base.vo.PermissionVO;

/**
 * 系统_资源 Mapper
 *
 * @author key_dong
 * @date 2018-7-11 14:03:45
 */

@Repository
public interface PermissionMapper{

	/**
	 * 分页查询 系统_资源
     *
	 * @param dto dto
	 * @return Page Page
	 */
	Page<PermissionVO> selectPermissionPage(PermissionDTO dto);
	
	/**
	 * 菜单集合
	 * @param map
	 * @return
	 */
	List<MenuVO> findMenuTree(Map<String, Object> map);
}
