package com.huatek.busi.common;

public class ReportType {


	/**
		001:油色谱日报告
		002:油色谱月报告
		003:避雷器检测月报告
		004-1:变压器局放检测月报告
		004-2:GIS局放检测月报告
		004-3:电缆局放检测月报告
		005-SF6检测月报告
		006:变压器套管检测月报告
		007-1:铁芯检测月报告
		007-2:夹件检测月报告
		008:拍照设备检测月报告
		009:容性检测月报告
		010:红外热成像检测月报告
		011:无线测温检测月报告
	 	012:其他-电缆环流月报告
		013:电缆-电缆环流月报告
		014:发电机-振动检测月报告
		015:发电机-压力检测月报告
		016:发电机-局放检测月报告
	 *
	 * */

	/** @Fields YSP_DAILY_REPORT : 油色谱日报告*/
	public static final String YSP_DAILY_REPORT = "001";

	/** @Fields YSP_MONTHLY_REPORT : 油色谱月报告*/
	public static final String YSP_MONTHLY_REPORT = "002";

	/** @Fields BLQ_MONTHLY_REPORT : 避雷器检测月报告*/
	public static final String BLQ_MONTHLY_REPORT = "003";

	/** @Fields BYQ_JF_MONTHLY_REPORT : 变压器局放检测月报告 */
	public static final String BYQ_JF_MONTHLY_REPORT = "004-1";

	/** @Fields GIS_JF_MONTHLY_REPORT : GIS局放检测月报告*/
	public static final String GIS_JF_MONTHLY_REPORT = "004-2";

	/** @Fields DL_JU_MONTHLY_REPORT : 其他外挂设备下的局放检测月报告*/
	public static final String DL_JU_MONTHLY_REPORT = "004-3";

	/** @Fields DL_JU_MONTHLY_REPORT : 电缆局放检测月报告*/
	public static final String DL_JF_MONTHLY_REPORT = "004-4";

	/** @Fields SF6_MONTHLY_REPORT :SF6检测月报告  */
	public static final String SF6_MONTHLY_REPORT = "005";

	/** @Fields TG_MONTHLY_REPORT : 变压器套管检测月报告*/
	public static final String TG_MONTHLY_REPORT = "006";

	/** @Fields TX_MONTHLY_REPORT : 铁芯检测月报告*/
	public static final String TX_MONTHLY_REPORT = "007-1";

	/** @Fields JJ_MONTHLY_REPORT : 夹件检测月报告 */
	public static final String JJ_MONTHLY_REPORT = "007-2";

	/** @Fields PZ_MONTHLY_REPORT : 拍照设备检测月报告*/
	public static final String BYQ_PZ_MONTHLY_REPORT = "008-1";
	/** @Fields PZ_MONTHLY_REPORT : 拍照设备检测月报告*/
    public static final String GIS_PZ_MONTHLY_REPORT = "008-2";
    /** @Fields PZ_MONTHLY_REPORT : 拍照设备检测月报告*/
    public static final String BLQ_PZ_MONTHLY_REPORT = "008-3";
    /** @Fields PZ_MONTHLY_REPORT : 拍照设备检测月报告*/
    public static final String OTHER_PZ_MONTHLY_REPORT = "008-4";

	/** @Fields RX_MONTHLY_REPORT : 容性检测月报告*/
	public static final String RX_MONTHLY_REPORT = "009";

	/** @Fields HWRCX_MONTHLY_REPORT : 红外热成像检测月报告 */
	public static final String BYQ_HWRCX_MONTHLY_REPORT = "010-1";
	/** @Fields HWRCX_MONTHLY_REPORT : 红外热成像检测月报告 */
    public static final String GIS_HWRCX_MONTHLY_REPORT = "010-2";
    /** @Fields HWRCX_MONTHLY_REPORT : 红外热成像检测月报告 */
    public static final String BLQ_HWRCX_MONTHLY_REPORT = "010-3";
    /** @Fields HWRCX_MONTHLY_REPORT : 红外热成像检测月报告 */
    public static final String OTHER_HWRCX_MONTHLY_REPORT = "010-4";
	/** @Fields HWRCX_MONTHLY_REPORT : 电缆-红外热成像检测月报告 */
	public static final String DL_HWRCX_MONTHLY_REPORT = "010-5";

	/** @Fields WXCE_MONTHLY_REPORT : 无线测温检测月报告 */
	public static final String WXCE_MONTHLY_REPORT = "011";

	/** @Fields DLHL_MONTHLY_REPORT : 其他-电缆环流月报告 */
	public static final String DLHL_MONTHLY_REPORT = "012";

	/** @Fields DLHL_MONTHLY_REPORT : 电缆-电缆环流月报告 */
	public static final String DL_DLHL_MONTHLY_REPORT = "013";

	/** @Fields FDJ_ZD_MONTHLY_REPORT : 发电机-振动检测月报告 */
	public static final String FDJ_ZD_MONTHLY_REPORT = "014";

	/** @Fields FDJ_QT_MONTHLY_REPORT : 发电机-压力检测月报告 */
	public static final String FDJ_YL_MONTHLY_REPORT = "015";

	/** @Fields FDJ_JF_MONTHLY_REPORT : 发电机-局放检测月报告 */
	public static final String FDJ_JF_MONTHLY_REPORT = "016";

}
