package com.huatek.busi.constant;

/**
 * swagger2常量定义
 *
 * @author anker cheng
 * @Date 2019年7月2日
 */
public interface ApiConstant {

    String TITLE = "状态检修运维管理平台API文档";

    interface Tags {
        String BUSI_INDEX_DATA = "主界面API接口";

        String BUSI_MAIN_EQUIP_BRAND = "主设备标牌API接口";

        String BUSI_SITE = "站点管理";
        String BUSI_OFFLINE = "变压器管理";
        String BUSI_THRESHOLD = "变压器阈值";
        String BUSI_GIS_THRESHOLD = "GIS阈值";
        String BUSI_TEMPERPOINT = "站点测温管理";
        String BUSI_OUTLINE_THRESHOLD = "变压器试验数据";
        String BUSI_OUTLINE_GIS = "GIS开关试验数据";

        String BUSI_OFFLINE_TRANSFORMER_CHECK = "变压器投运验收结论";
        String BUSI_OFFLINE_TRANSFORMER_REPAIR = "变压器检修单";
        String BUSI_OFFLINE_TRANSFORMER_EXPERIMENT_DATA = "变压器例行、诊断试验";

        String BUSI_OFFLINE_GENERATOR_REPAIR = "发电机检修单";

        String BUSI_OFFLINE_GIS_CHECK = "GIS投运验收结论";
        String BUSI_OFFLINE_GIS_REPAIR = "GIS检修单";
        String BUSI_OFFLINE_GIS_EXPERIMENT_DATA = "GIS例行、诊断试验";
        String BUSI_OFFLINE_GIS_MECHANICAL_PROPS = "GIS机械特性";

        String BUSI_GIS_HOME_PAGE = "GIS首页信息";

        String BUSI_OFFLINE_ARRESTER_THRESHOLD = "出场线避雷器阈值信息";
        String BUSI_OFFLINE_EXPERIMENT_DATA = "出场线避雷器例行实验信息";
        String BUSI_OFFLINE_ARRESTER_REPAIR = " 出场线避雷器检修单";
        String BUSI_THRESHOLD_PD = "变压器/电抗器——局部放电";

        String BUSI_FAULT = "故障相关接口";

        String OP_CHANGE_LOG = "操作变更日志接口";

        String BUSI_TRANSFORMER_PARAM = "变压器分析参数";
        String BUSI_GIS_PARAM = "GIS分析参数";

        String BUSI_ARRESTER = "避雷器分析参数";

        String BUSI_APPENDIX = "附件分析参数";
        String BUSI_PARAM = "分析参数";

        String BUSI_SCHEDULEJOB = "定时任务管理";

        String BUSI_WARNING = "告警相关API接口";

        String BUSI_EVA_MONITOR = "考评指标";

        String BUSI_VIDEO_PRODUCE = "视频生产及安全检测";

        String BUSI_VIDEO = "视频流";

        String BUSI_EXTERNALEQUIPMENT = "外挂设备";

        String BUSI_SENSOR = "传感器";

        String BUSI_YSP_SENSOR_THRESHOLD = "变压器油色谱传感器阈值";

        String BUSI_YSP_TYPE = "变压器油色谱设备类型";

        String BUSI_YSP_SENSOR_THRESHOLD_SAVE = "保存变压器传感器阈值";

        String BUSI_YSP_SENSOR_THRESHOLD_UPDATE = "编辑变压器传感器阈值";

        String BUSI_TXJJ_SENSOR_THRESHOLD = "变压器铁芯夹件传感器阈值";

        String BUSI_TXJJ_SENSOR_THRESHOLD_INFO = "获取变压器铁芯夹件传感器阈值详情";

        String BUSI_TXJJ_SENSOR_THRESHOLD_SAVE = "维护变压器铁芯夹件传感器阈值详情";

        String IEC_BASIC_CONFIG = "IEC基础配置管理";

        String IEC_POINTS_CONFIG = "IEC点表配置管理";

        String TRANSFORMERRUNSTATUSTHRESHOLD = "变压器运行工况阈值";

        String BUSI_GIS_SF6_THRESHOLD = "GIS sf6阈值";

        String BUSI_TG_SENSOR_THRESHOLD = "变压器套管阈值管理";

        String BUSI_TG_SENSOR_THRESHOLD_INFO = "获取变压器套管传感器阈值详情";

        String BUSI_TG_SENSOR_THRESHOLD_SAVE = "维护变压器套管传感器阈值详情";

        String BUSI_SUB_PAGE = "告警二级页面相关API接口";
        String BUSI_SUB_PAGE_CURVE = "告警二级页面相关曲线图API接口";

        String ARRESTER_INSULATION_THRESHOLD = "避雷器-绝缘监测-阈值";

        String ARRESTER_CAPACITIVE_THRESHOLD = "容性设备-绝缘监测-阈值";

        String INFRARED_THRESHOLD = "红外热成像告警及阈值详情";

        String WINDING_THRESHOLD = "绕组测温告警及阈值详情";

        String HISTORY_DATE = "历史数据查询接口";
        String DATA_OUTPUT = "数据输出记录";

        String ARRESTER_OFFLINE_EXPERIMENT_REPORT = "避雷器离线实现报告";
        String GIS_OFFLINE_EXPERIMENT_REPORT = "GIS离线实现报告";

        String BUSI_EQM_MALFUNCTION = "故障单";

        String METEOROLOGICAL = "气象数据";

        String PARAMETERMAKE = "变压器打标参数";

        String BUSI_TRANSFORMER_SUB_TREE = "变压器主变";

        String BUSI_CABLE_CIRULATION = "电缆环流";

        String BUSI_OTHER_THRESHOLD = "其他-阈值";

        String BUSI_Cable_THRESHOLD = "电缆-阈值";

        String BUSI_MINIO_STORAGE = "MinIO对象存储管理";

        String BUSI_Transformer_Number = "变压器外挂装置查询";
        String BUSI_Evaluation_Status = "评估结果查询";

        String BUSI_EQUIPMENT_ONLINERATE = "设备在线率查询";

        String BUSI_SEMI_AUTOMATIC_EVALUATE_CONFIG = "半自动评估配置接口";


        String BUSI_SEMI_AUTOMATIC_EVALUATE_DATA = "半自动评估录入数据";
    }
}
