package com.huatek.busi.controller.helper;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备预警表处理Dto
 * 
 * @author anker_cheng
 * @date 2019/08/14
 */
@ApiModel(value = "BusiEqmWarningToDealDto", description = "设备预警表处理Dto")
@Data
public class BusiEqmWarningToDealDto implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 2612986976703151689L;

    @ApiModelProperty(name = "ids", value = "告警ID数组")
    private List<String> ids;

    @ApiModelProperty(name = "warningType", value = "故障类型")
    private String warningType;

    @ApiModelProperty(name = "dealMsg", value = "处理结果")
    private String dealMsg;
}
