package com.huatek.busi.controller.helper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 发电机检修单处理参数Dto
 *
 * @author anker_cheng
 * @date 2019/08/15
 */
@ApiModel(value = "BusiGeneratorRepairParamDto", description = "发电机检修单处理参数Dto")
@Data
public class BusiGeneratorRepairParamDto implements Serializable {
    private static final long serialVersionUID = -4506025437789771059L;

    @ApiModelProperty(name = "ids", value = "发电机检修单ID数组")
    private List<String> ids;

    @ApiModelProperty(name = "dealResult", value = "处理结果")
    private String dealResult;
}
