package com.huatek.busi.dto;

import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
  * @ClassName: BusiSensorDto
  * @FullClassPath: com.huatek.busi.dto.BusiSensorDto
  * @Description: 传感器DTO
  * @author: Arno
  * @date: Jul 18, 2019 3:13:52 PM
  * @version: 1.0
  */

@ApiModel(value = "BusiSensorDto", description = "避雷器例行实验Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiSensorDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
  
    
    /**
     * 外挂设备id
     */
    @ApiModelProperty(value="设备树id",name="equipmentId")
    private String equipmentId;
    
    
    /**
     * 外挂设备大类
     */
    @ApiModelProperty(value="外挂设备大类： 1-变压器  2-GIS设备  3-测温   4-避雷器   5-其他   6-发电机   7-电缆",name="equipmentType")
    private String equipmentType;
    
    /**
     *  站点ID
     */
    @ApiModelProperty(value=" 站点ID",name="siteId")
    private String siteId;
    
   
}