package com.huatek.busi.dto;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 视频对象
 * @author buck_guo
 * @date 2019/07/24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiVideoDto extends PageBean implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    private String id;

    /**
     * 
     */
    private Long siteId;
    
    /**
     * 
     */
    private String siteName;

    /**
     * 
     */
    private String eqmCode;

    /**
     * 
     */
    @FieldName("type")
    private String type;

    /**
     * 
     */
    private String taskName;

    /**
     * 对应sesor_code
     */
    private String taskCode;

    /**
     * 
     */
    private String rtspUrl;

    /**
     * 
     */
    private String createUser;

    /**
     * 
     */
    private String status;

    /**
     * 
     */
    private String delFlag;

    /**
     * 
     */
    private String createName;

    /**
     * 
     */
    private LocalDateTime createDate;

    /**
     * 
     */
    private Integer sort;
    
    /**
     * 查询开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate startDate;
    
    /**
     * 查询结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate endDate;
    
}