package com.huatek.busi.dto;

import java.io.Serializable;
import com.huatek.torch.sql.beans.PageBean;
import java.time.LocalDateTime;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * sensor曲线图，一天多个点 Dto
 *
 * @author anker_cheng
 * @date Aug 30, 2019 1:43:14 PM
 */
@ApiModel(value = "CurveSensorPointEntityDto", description = "sensor曲线图，一天多个点 Dto", parent = PageBean.class)
@Data
@EqualsAndHashCode(callSuper = false)
public class CurveSensorPointEntityDto extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 关联ID
     */
    @ApiModelProperty(name = "refId", value = "关联ID")
    private String refId;

    /**
     * 时间
     */
    @ApiModelProperty(name = "time", value = "时间")
    private LocalDateTime time;

    /**
     * 点值
     */
    @ApiModelProperty(name = "val", value = "点值")
    private BigDecimal val;
}