package com.huatek.busi.dto;

import java.io.Serializable;

import com.huatek.torch.sql.beans.PageBean;
/**
 * 系统配置信息DTO
 *
 * @author edward_luo
 * @date Jun 25, 2019 16:34:15 PM
 */

public class SysConfigDTO extends PageBean implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 参数名
     */
    private String paramKey;
    /**
     * 参数值
     */
    private String paramValue;
    
    /**
     * 备注
     */
    private String remark;
    /**
     * 主键ID
     */
    private String id;
    /**
     * 状态
     */
    private String status;
    
	public String getParamKey() {
		return paramKey;
	}
	public void setParamKey(String paramKey) {
		this.paramKey = paramKey;
	}
	public String getParamValue() {
		return paramValue;
	}
	public void setParamValue(String paramValue) {
		this.paramValue = paramValue;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
}