package com.huatek.busi.dto;

import com.huatek.torch.sql.beans.PageBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 绕组统计Dto
 *
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class WindingTemperatureStatisticsDto extends PageBean implements Serializable {
    private static final long serialVersionUID = 2225627776274592370L;

    private String sensorCode;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private String cacMonitorTypeCode;
}
