package com.huatek.busi.dto.cablecurrent;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.PageBean;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

/**
 * 视频对象
 * @author buck_guo
 * @date 2019/07/24
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class CableCurrentPageDto extends PageBean implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 查询开始时间
     */
    private String startDate;
    
    /**
     * 查询结束时间
     */
    private String endDate;
    
}