package com.huatek.busi.dto.curve;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;

@Data
public class BaseCurveQueryDto implements Serializable {
    private static final long serialVersionUID = -3205398614131180165L;

    private String mainTreeId;

    private String sensorCode;

    private String subType;

    private String subEquipmentId;

    private LocalDateTime startTime;

    private LocalDateTime endTime;

    private Integer count;

    public BaseCurveQueryDto() {}

    public BaseCurveQueryDto(String mainTreeId, String sensorCode) {
        super();
        this.mainTreeId = mainTreeId;
        this.sensorCode = sensorCode;
    }
}
