package com.huatek.busi.dto.media;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

/**
 * @author Bobi_huo
 * @date 2020-10-14 16:33
 */
@Data
public class MetaInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 宽度
     */
    @ApiModelProperty(name = "width", value = "宽度")
    private Integer width;

    /**
     * 高度
     */
    @ApiModelProperty(name = "height", value = "高度")
    private Integer height;

    /**
     * 大小
     */
    @ApiModelProperty(name = "size", value = "大小")
    private Long size;

    /**
     * 格式
     */
    @ApiModelProperty(name = "format", value = "格式")
    private String format;

    /**
     * 速率
     */
    @ApiModelProperty(name = "bitRate", value = "速率")
    private Integer bitRate;

    /**
     * 时长
     */
    @ApiModelProperty(name = "duration", value = "时长")
    private Long duration;
}
