package com.huatek.busi.dto.media;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

/**
 * @author Bobi_huo
 * @date 2020-10-14 16:16
 */
@Data
public class VideoMetaInfo extends MetaInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编码器
     */
    @ApiModelProperty(name = "encoder", value = "编码器")
    private String encoder;

    /**
     * 帧速率
     */
    @ApiModelProperty(name = "frameRate", value = "帧速率")
    private Float frameRate;

    /**
     * 音频信息
     */
    @ApiModelProperty(name = "musicMetaInfo", value = "音频信息")
    private MusicMetaInfo musicMetaInfo;

}
