package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;

@Data
public class ArresterStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;


    /**
     * 设备名称名称
     */
    @FieldName("arrester_name")
    private String arresterName;

    /**
     * 设备状态
     */
    @FieldName("status")
    private String status;

    /**
     * 关联变压器状态
     */
    @FieldName("stype")
    private String stype;

    /**
     * 标称放电电流
     */
    @FieldName("discharge_current")
    private String dischargeCurrent;

    /**
     * 持续运行电压
     */
    @FieldName("running_voltage")
    private String runningVoltage;

    /**
     * 额定电压
     */
    @FieldName("nominal_voltage")
    private String nominalVoltage;

    /**
     * 设备告警状态
     */
    @FieldName("warning_type")
    private String warningType;

    /**
     * 展示避雷器优先级
     */
    @FieldName("prior")
    private String prior;

}
