package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * 告警图片 entity
 *
 * @author Bobi_huo
 * @date 2020-10-26 15:54
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_eqm_warning_picture")
public class BusiEqmWarningPicture extends Pojo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @FieldName("id")
    private String id;

    /**
     * 告警ID
     */
    @FieldName("warning_id")
    private String warningId;

    /**
     * 告警图片
     */
    @FieldName("warning_picture_path")
    private String warningPicturePath;
}
