package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

 /**
  * 代码自动生成model类.
  * @ClassName: BusiTransformerLoad
  * @FullClassPath :com.frame.business.entity.BusiTransformerLoad
  * @Description: TODO.
  * @author: arno
  * @Email : arno_fu@huatek.com
  * @date: 2018-09-19 14:24:15
  * @version: 1.0
  */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_transformer_load")
public class BusiTransformerLoad  extends Pojo implements Serializable{

	private static final long serialVersionUID = 1L;

    @FieldName("id")
 	private String id;
 
    
	/** @Fields siteId : 站点id*/ 
	@FieldName("site_id")
    private String siteId;
	
	
	/** @Fields equipmentId : 变压器主设备id*/ 
	@FieldName("equipment_id")
    private String equipmentId;
    
	/** @Fields mainTreeId : 站点树ID*/ 
	@FieldName("main_tree_id")
    private String mainTreeId;
    
	/** @Fields dTime : 负荷时间  */
	@FieldName("load_time")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
    private LocalDate loadTime;
    
	
	/** @Fields loadRate : 负荷数*/ 
	@FieldName("load_rate")
    private String loadRate;
}
