package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import org.springframework.format.annotation.DateTimeFormat;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 变压器红外测温时间 entity
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:20:59 PM
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_transfrom_temperature_excess")
public class BusiTransfromTemperatureExcess extends Pojo implements Serializable  {
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;
    /**
     * 
     */
    @FieldName("site_id")
    private String siteId;
    /**
     * 
     */
    @FieldName("site_eqm_code")
    private String siteEqmCode;
    /**
     * 
     */
    @FieldName("begin_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime beginTime;
    /**
     * 
     */
    @FieldName("end_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endTime;
    /**
     * 
     */
    @FieldName("created_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdTime;
}