package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 视频对象
 * @author buck_guo
 * @date 2019/07/24
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("busi_video")
public class BusiVideo extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 
     */
    @FieldName("eqm_code")
    private String eqmCode;

    /**
     * 
     */
    @FieldName("type")
    private String type;

    /**
     * 
     */
    @FieldName("task_name")
    private String taskName;

    /**
     * 对应sesor_code
     */
    @FieldName("task_code")
    private String taskCode;

    /**
     * 视频流rtsp协议url
     */
    @FieldName("rtsp_url")
    private String rtspUrl;

    /**
     * 视频流http协议url
     */
    @FieldName("http_url")
    private String httpUrl;

    /**
     * 
     */
    @FieldName("create_user")
    private String createUser;

    /**
     * 
     */
    @FieldName("status")
    private String status;

    /**
     * 
     */
    @FieldName("del_flag")
    private String delFlag;

    /**
     * 
     */
    @FieldName("create_name")
    private String createName;

    /**
     * 
     */
     @FieldName("create_date")
    private LocalDateTime createDate;

    /**
     * 
     */
     @FieldName("sort")
    private Integer sort;

     private String siteName;
}