package com.huatek.busi.entity;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 * @author buck_guo
 * @date 2019/07/16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("capacitance_equipment_summary")
public class CapacitanceEquipmentSummary extends Pojo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    @FieldName("id")
    private String id;

    /**
     * 
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 
     */
    @FieldName("sub_equipment_id")
    private String subEquipmentId;

    /**
     * 
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;

    /**
     * 站点设备树ID
     */
    @FieldName("main_tree_id")
    private String mainTreeId;

    /**
     * 外挂设备树ID
     */
    @FieldName("sub_tree_id")
    private String subTreeId;

    /**
     * 
     */
    @FieldName("a_full_current")
    private String aFullCurrent;

    /**
     * 
     */
    @FieldName("a_capacitance")
    private String aCapacitance;

    /**
     * 
     */
    @FieldName("a_loss_factor")
    private String aLossFactor;

    /**
     * 
     */
    @FieldName("b_full_current")
    private String bFullCurrent;

    /**
     * 
     */
    @FieldName("b_capacitance")
    private String bCapacitance;

    /**
     * 
     */
    @FieldName("b_loss_factor")
    private String bLossFactor;

    /**
     * 
     */
    @FieldName("c_full_current")
    private String cFullCurrent;

    /**
     * 
     */
    @FieldName("c_capacitance")
    private String cCapacitance;

    /**
     * 
     */
    @FieldName("c_loss_factor")
    private String cLossFactor;

    /**
     * 
     */
    @FieldName("d_time")
    private LocalDate dTime;

    /**
     * 
     */
    @FieldName("create_time")
    private LocalDateTime createTime;
}