package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;

@Data
public class GeneratorStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;


    /**
     * 设备名称名称
     */
    @FieldName("generator_name")
    private String generatorName;


    /**
     * 关联变压器的运行状态
     */
    @FieldName("stype")
    private String stype;


    /**
     * 设备状态
     */
    @FieldName("status")
    private String status;

    /**
     * 设备告警状态
     */
    @FieldName("warning_type")
    private String warningType;
    /**
     * 展示开关柜优先级
     */
    @FieldName("prior")
    private String prior;


}
