package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class SiteData extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 站点Id
     */
    @FieldName("id")
    private String id ;

    /**
     * 站点名称
     */
    @FieldName("site_name")
    private String siteName;

    /**
     * 创建人名称
     */
    @FieldName("create_name")
    private String createName;



    /**
     * 创建时间
     */
    @FieldName("create_time")
    private LocalDateTime createTime;


}
