package com.huatek.busi.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
public class TransformerStatus extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 站点id
     */
    @FieldName("site_id")
    private String siteId;

    /**
     * 设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;


    /**
     * 设备名称名称
     */
    @FieldName("transformer_name")
    private String transformerName;

    /**
     * 设备状态
     */
    @FieldName("status")
    private String status;

    /**
     * 变压器设备状态
     */
    @FieldName("stype")
    private String stype;

    /**
     * 设备告警状态
     */
    @FieldName("warning_type")
    private String warningType;

    /**
     * 电流
     */
    @FieldName("higth_current")
    private String higthCurrent;

    /**
     * 设备告警状态
     */
    @FieldName("higth_voltage")
    private String higthVoltage;

    /**
     * 变压器运行参数设备id
     */
    @FieldName("eqm_code")
    private String eqmCode;

    /**
     * 展示变压器优先级
     */
    @FieldName("prior")
    private String prior;


}
