package com.huatek.busi.entity;
import java.io.Serializable;
import java.util.Date;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 视频生产检测
 * @author buck_guo
 * @date 2019/07/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class VideoProduceMonitor  extends Pojo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 站点ID
     */
    private String siteId;

    /**
     * 设备编码
     */
    private String eqmCode;

    /**
     * sensorId  外挂设备名
     */
    private String sensorName;
    
    /**
     * 标牌
     */
    private String sensorBrand;
    
    /**
     * sensorId sensor编码
     */
    private String sensorCode;

    /**
     * 监测时间
     */
    private Date dTime;
    
    /**
     * 安装位置
     */
    private String position;
    
    /**
     * 图片路径及文件名
     */
    private String picpath;

    /**
     * 放电次数
     */
    private String fdcs;

    /**
     * 图片数据
     */
    private String picData;
    
    /**
     * 备注
     */
    private String remarks;

    /**
     * 图片数值类型：1:放电次数 2:放电电流(mA)
     * 变压器类型：1本体，2油枕
     */
    private String type;
    /**
     * 视频流url
     */
    private String videoUrl;
}