package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 避雷器评估结果
 * @author vent
 * @date 2023/03/31
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ArresterAssessmentResultVo implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private String id;

    /**
     * 站点Id
     */
    private String siteId;

    /**
     * 站点设备树ID
     */
    private String mainTreeId;

    /**
     * 评测时间
     */
    private LocalDateTime assessTime;

    /**
     * 计算安全系数
     */
    private String safetyFactor;

    /**
     * 投运时间
     */
    private String operationTime;

    /**
     * 计算健康指数
     */
    private String healthLevel;

    /**
     * 未来故障率
     */
    private String futureFailureRate;

    private String type;
}
