package com.huatek.busi.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 考评指标——监测单元考核指标关系VO
 *
 * @author edward_luo
 */
@ApiModel(value = "BusiEvaMonitorRefVo", description = "监测单元-考核指标关系VO")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiEvaMonitorRefVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;

    /**
     * 监测单元ID
     */
    @ApiModelProperty(name = "id", value = "监测单元ID")
    private String unitId;
    
    /**
     * 考核指标ID
     */
    @ApiModelProperty(name = "id", value = "考核指标ID")
    private String indicatorsId;
}