package com.huatek.busi.vo;

import java.io.Serializable;
import java.util.List;

import com.huatek.busi.entity.BusiStabilityItremVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 稳定性指标 Vo
 *
 * @author anker_cheng
 * @date Jul 29, 2019 2:14:07 PM
 */
@ApiModel(value = "BusiStabilityVo", description = "稳定性指标 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiStabilityVo implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 传感器编码
     */
    @ApiModelProperty(name = "sensorCode", value = "传感器编码")
    private String sensorCode;

  


    /**
     * 指标状态  0-无  1-发电  2-抽水  3-空闲  
     */
    @ApiModelProperty(name = "indexType", value = "指标状态  1-发电  2-抽水  3-空闲  ")
    private String indexType;
    
 

    
    private List<BusiStabilityItremVo> list ;

  
}