package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 故障子分类表 Vo
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:15:42 PM
 */
@ApiModel(value = "FaultSubtypesVo", description = "故障子分类表 Vo")
@Data
@EqualsAndHashCode(callSuper = false)
public class FaultSubtypesVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    @ApiModelProperty(name = "id", value = "主键ID")
    private String id;
    /**
     * 故障主分类ID
     */
    @ApiModelProperty(name = "masterId", value = "故障主分类ID")
    private String masterId;
    /**
     * 故障子分类名称
     */
    @ApiModelProperty(name = "faultSubName", value = "故障子分类名称")
    private String faultSubName;
    /**
     * 创建日期
     */
    @ApiModelProperty(name = "insdate", value = "创建日期")
    private LocalDateTime insdate;
}