package com.huatek.busi.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
public class HomeActualInfoVo implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     *
     */
    @ApiModelProperty(name = "id", value = "")
    private String id;

    /**
     *
     */
    @ApiModelProperty(name = "eqmId", value = "")
    private String eqmId;

    /**
     * 被监测设备相别(A/B/C)
     */
    @ApiModelProperty(name = "phase", value = "被监测设备相别(A/B/C)")
    private String phase;

    /**
     * 监测时间
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;

    /**
     * 设备编码
     */
    @ApiModelProperty(name = "sensorId", value = "设备编码")
    private String sensorId;

    /**
     * 站点Id
     */
    @ApiModelProperty(name = "siteId", value = "站点Id")
    private String siteId;

    /**
     * 站点设备编码
     */
    @ApiModelProperty(name = "siteEqmCode", value = "站点设备编码")
    private String siteEqmCode;

    /**
     * 创建时间
     */
    @ApiModelProperty(name = "createdTime", value = "创建时间")
    private LocalDateTime createdTime;

    @ApiModelProperty(name = "runState", value = "工作状态")
    private String runState;

    @ApiModelProperty(name = "equipmentName", value = "设备名称")
    private String equipmentName;

    @ApiModelProperty(name = "equipmentBrand", value = "设备标牌")
    private String equipmentBrand;

    @ApiModelProperty(name = "manufactor", value = "设备生产厂家")
    private String manufactor;

    @ApiModelProperty(name = "useDate", value = "设备投运日期")
    private LocalDate useDate;

    @ApiModelProperty(name = "installLocation", value = "设备安装位置")
    private String installLocation;

    @ApiModelProperty(name = "sensorName", value = "传感器名称")
    private String sensorName;

    @ApiModelProperty(name = "sensorBrand", value = "传感器标牌")
    private String sensorBrand;

    @ApiModelProperty(name = "repairCount", value = "维修次数")
    private Integer repairCount;

    @ApiModelProperty(name = "falseAlarmRate", value = "误报率")
    private String falseAlarmRate;

    @ApiModelProperty(name = "lossRate", value = "缺失率")
    private String lossRate;

    @ApiModelProperty(name = "mainTreeId", value = "mainTreeId")
    private String mainTreeId;

}
