package com.huatek.busi.vo;
import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(value = "InfraredThermalImagVo", description = "红外热成像 Vo")
 @Data
 @EqualsAndHashCode(callSuper = false)
public class InfraredThermalImagVo implements Serializable{/**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 站点Id
     */
    private String siteId;
    /**
     * 站点名称
     */
    private String siteName;
    /**
     * 设备编号
     */
    private String eqmCode;
    /**
     * 设备名称
     */
    private String eqmName;
    /**
     * sensorid
     */
    private String sensorId;
    /**
     *传感器名称
     */
    private String sensorName;
    /**
     * 最高温度
     */
    private BigDecimal hTemper;
    /**
     * 最低温度
     */
    private BigDecimal lTemper;
    /**
     * 平均温度
     */
    private BigDecimal avgTemper;
    /**
     * 数据时间
     */
    private LocalDateTime rtpTime;
    /**
     * 创建时间
     */
    private LocalDateTime createTime;
}
