package com.huatek.busi.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

/**
 * 避雷器绝缘监测统计Vo
 * 
 * @author anker_cheng
 * @date 2019/10/23
 */
@Data
public class LightningrodImStatisticsVo implements Serializable {
    private static final long serialVersionUID = 5451878344121715554L;

    private String siteId;

    private String mainTreeId;

    private String subTreeId;

    private String mainEquipmentId;

    private String subEquipmentId;

    private String sensorCode;

    private String cacMonitorTypeCode;

    private Integer dataCount;
    
    private BigDecimal systemVoltage;
    private BigDecimal totalCurrent;
    private BigDecimal resistiveCurrent;
    private BigDecimal capacitanceCurrent;
    private BigDecimal actionCount;
}
