package com.huatek.busi.vo;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.beans.Pojo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class ParameterVo extends Pojo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键唯一标识
     */
    @FieldName("id")
    private String id;


    /**
     * 关联附件编号
     */
    @FieldName("ref_id")
    private String refId;

    /**
     * 报告编号
     */
    @FieldName("report_id")
    private String reportId;


    /**
     * 主设备id
     */
    @FieldName("main_equipment_id")
    private String mainEquipmentId;



    @FieldName("create_time")
    @ApiModelProperty(value = "createTime", name = "创建时间")
    private LocalDateTime createTime;


    @FieldName("test_date")
    @ApiModelProperty(value = "testDate", name = "创建时间")
    private LocalDateTime testDate;



}
