package com.huatek.busi.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;
@ApiModel(value = "SoundVibrationParamsVo", description = "声级震动同步参数")
@Data
@EqualsAndHashCode(callSuper = false)
public class SoundVibrationParamsVo implements Serializable {

    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = -6573803113177945133L;

    @ApiModelProperty(name = "id", value = "主键id")
    private String id;

    /** @Fields mainTreeId : 站点树ID */
    @ApiModelProperty(name = "mainTreeId", value = "站点树ID")
    private String mainTreeId;

    @ApiModelProperty(name = "highPoint", value = "高压侧")
    private String highPoint;

    @ApiModelProperty(name = "lowPoint", value = "底压侧")
    private String lowPoint;

    @ApiModelProperty(name = "centerPoint", value = "中心")
    private String centerPoint;

    @ApiModelProperty(name = "noisePoint", value = "噪声")
    private String noisePoint;

    /** @Fields pc_date: 评测时间 */
    @ApiModelProperty(name = "createTime", value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
