package com.huatek.busi.vo;

import java.io.Serializable;
import java.time.LocalDateTime;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 油色谱统计数据表 Vo
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:14:01 AM
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class TransformerEpaDataStatisticsVo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 
     */
    private String id;
    /**
     * 
     */
    private LocalDateTime dTime;
    /**
     * 
     */
    private String phase;
    /**
     * 
     */
    private String h2;
    /**
     * 
     */
    private String ch4;
    /**
     * 
     */
    private String c2h6;
    /**
     * 
     */
    private String c2h4;
    /**
     * 
     */
    private String c2h2;
    /**
     * 
     */
    private String co;
    /**
     * 
     */
    private String co2;
    /**
     * 
     */
    private String o2;
    /**
     * 
     */
    private String n2;
    /**
     * 
     */
    private String totalHydrocarbon;
    /**
     * 
     */
    private String cacId;
    /**
     * 
     */
    private String sensorId;
    /**
     * 载气压力
     */
    private String gasPress;
    /**
     * 水分
     */
    private String h2o;
    /**
     * 电站ID
     */
    private String siteId;
    /**
     * 被检测设备id(17 位设备编码CAC同步的数据)
     */
    private String equipmentId;
    /**
     * 外挂设备ID
     */
    private String subEquipmentId;
    /**
     * 主设备ID
     */
    private String mainEquipmentId;
}