package com.huatek.busi.vo;

import java.io.Serializable;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 视频生产检测
 * @author buck_guo
 * @date 2019/07/23
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class VideoProduceMonitorVo implements Serializable{
    /**
     *
     */
    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 站点ID
     */
    private String siteId;
    
    /**
     * 站点名称
     */
    private String siteName;

    /**
     * sensorId  外挂设备名
     */
    private String equipmentName;
    
    /**
     * 标牌
     */
    private String equipmentBrand;
    
    /**
     * 安装位置
     */
    private String installLocation;

    /**
     * 视频类型：GIS红外、避雷器红外、变压器运行工况
     */
    private String videoType;
    
    /**
     * 视频流url
     */
    private String rtspUrl;
    
    /**
     * 视频名称
     */
    private String videoName;
}