package com.huatek.busi.vo.epa;

import java.io.Serializable;
import java.math.BigDecimal;

import lombok.Data;

@Data
public class EpaDeviationOneDataVo implements Serializable {

    private static final long serialVersionUID = 1L;

    private String siteId;
    private String equipmentId;
    private String mainEquipmentId;
    private String subEquipmentId;

    private String mainTreeId;
    private String subTreeId;

    private String cacId;
    private String sensorId;

    private BigDecimal totalCount;

    private BigDecimal ch4;

    private BigDecimal c2h2;

    private BigDecimal c2h4;

    private BigDecimal c2h6;

    private BigDecimal co;

    private BigDecimal co2;

    private BigDecimal h2;

    private BigDecimal h2o;

    private BigDecimal n2;

    private BigDecimal o2;

    private BigDecimal tmp;

    private BigDecimal dew;

    private BigDecimal mst;

    private BigDecimal flatGas;

    private BigDecimal cmbuGas;

    private BigDecimal totalHydrocarbon;
}
