/**
 * 
 */
package com.huatek.busi.vo.generator;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 振动类型
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class BusiGeneratorAmplTypeVo implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
	 * 振动类型
	 */
	private Integer amplType;

    /**
	 * 振动类型描述
	 */
	private String amplDesc;

	/**
	 * 装置主类型  1：振动、2：间隙、3：压力、4、局放、5：温度
	 */
	private String mainType;
}
