package com.huatek.busi.vo.report;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName: BusiYspMonitorDataVo
 * @FullClassPath: com.huatek.busi.vo.report.BusiYspMonitorDataVo
 * @Description: 油色谱监测(在线/离线)数据
 * @author: Arno
 * @date: Sep 23, 2019 2:39:32 PM
 * @version: 1.0
 */

@Data
@NoArgsConstructor
@AllArgsConstructor
public class BusiYspMonitorDataVo implements Serializable {

	/** @Fields serialVersionUID : */
	private static final long serialVersionUID = -8572544258777362548L;

	public String index;

	public String h2;

	public String co;

	public String co2;

	public String ch4;

	public String c2h4;

	public String c2h6;

	public String c2h2;

	public String h2o;

	public String zt;

	public String tmp;

	public String dew;

	public String mst;

	public String cmbuGas;

	public String time;
	
	public String gasPress;
}
