package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
/**
 * 直流参考电压UDJM\及175%UDJM测量
 * @author buck_guo
 * @date 2019/08/26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "DCReferenceVoltage", description = "直流参考电压UDJM\\及175%UDJM测量")
public class DCReferenceVoltage implements Serializable {
    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 实验内容
     */
    @ApiModelProperty(name = "experimentContent", value = "实验内容")
    private String experimentContent;
    
    /**
     * 实验设备
     */
    @ApiModelProperty(name = "experimentApparatus", value = "实验设备")
    private String experimentApparatus;
   
    
    /**
     * A相
     */
    @ApiModelProperty(name = "PhaseA", value = "A相")
    private PhaseA PhaseA;
    /**
     * B相
     */
    @ApiModelProperty(name = "PhaseB", value = "B相")
    private PhaseB PhaseB;
    /**
     * C相
     */
    @ApiModelProperty(name = "PhaseC", value = "C相")
    private PhaseC PhaseC;
}
