package com.huatek.busi.vo.routinetest.arrester;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 绝缘电阻A
 * 
 * @author buck_guo
 * @date 2019/08/26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "InsulationResistanceA", description = "绝缘电阻A")
public class InsulationResistanceA implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 第一节
     */
    @ApiModelProperty(name = "firstQuarter", value = "第一节")
    private String firstQuarter;
    /**
     * 第二节
     */
    @ApiModelProperty(name = "secondQuarter", value = "第二节")
    private String secondQuarter;
    /**
     * 第三节
     */
    @ApiModelProperty(name = "thirdQuarter", value = "第三节")
    private String thirdQuarter;
    /**
     * 底座
     */
    @ApiModelProperty(name = "base", value = "底座")
    private String base;
}
