package com.huatek.busi.vo.warning;

import java.io.Serializable;
import java.util.List;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * GIS-SF6二级页面数据 Vo
 * 
 * @author anker_cheng
 * @date 2019/08/12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiGisSf6Vo", description = "GIS-SF6二级页面数据 Vo")
public class BusiGisSf6Vo extends BusiSubInfoVo implements Serializable {
    private static final long serialVersionUID = -4954685604625039339L;

    private List<BusiGisSf6ItemVo> list;
    
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
