/**
 * 
 */
package com.huatek.busi.vo.warning;

import java.io.Serializable;
import java.time.LocalDateTime;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @ClassName: BusiIcgeVo
 * @FullClassPath: com.huatek.busi.vo.BusiIcgeVo
 * @Description: 铁芯二级页面数据.
 * @author: Arno
 * @date: Aug 2, 2019 2:44:24 PM
 * @version: 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiIcgeVo", description = "铁芯二级页面数据 Vo")
public class BusiIcgeVo extends BusiSubInfoVo implements Serializable {

    /** @Fields serialVersionUID : */
    private static final long serialVersionUID = -7092787363261400369L;

    @ApiModelProperty(name = "collectValue", value = "采集数据")
    /** @Fields collectValue :采集数据 */
    private String collectValue;

    @ApiModelProperty(name = "alarmValue", value = "报警值")
    /** @Fields alarmValue :报警值 */
    private String alarmValue;

    @ApiModelProperty(name = "stabilityIndex", value = "稳定性指标")
    /** @Fields stabilityIndex :稳定性指标 */
    private String stabilityIndex = "-";

    @ApiModelProperty(name = "thresholdValue", value = "阈值")
    /** @Fields thresholdValue :阈值 */
    private String thresholdValue;

    @ApiModelProperty(name = "warningValue", value = "预警值")
    /** @Fields collectData :预警值 */
    private String warningValue;

    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    /** @Fields equipmentStatus :设备状态 */
    private String equipmentStatus;
    
    /**
     * 监测时间 
     */
    @ApiModelProperty(name = "dTime", value = "监测时间 ")
    private LocalDateTime dTime;
    
	@ApiModelProperty(name = "mainEquipmentName", value = "主设备名称")
    private String mainEquipmentName;
	
	/**
	 * 铁芯全电流
	 */
	@ApiModelProperty(name = "totalCoreCurrent", value = "铁芯全电流")
	private String totalCoreCurrent;
	
	/**
	 * 夹件电流
	 */
	@ApiModelProperty(name = "clamp", value = "夹件电流")
	private String clamp;
	
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
