package com.huatek.busi.vo.warning;

import java.io.Serializable;

import com.huatek.busi.vo.BusiSubInfoVo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 运行工况告警二级页面数据Vo
 * 
 * @author anker_cheng
 * @date 2019/08/09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "BusiRunStateVo", description = "运行工况二级页面数据 Vo")
public class BusiRunStateVo extends BusiSubInfoVo implements Serializable {
    private static final long serialVersionUID = -2574591505024618874L;

    @ApiModelProperty(name = "sadr", value = "信息体地址")
    private String sadr;

    @ApiModelProperty(name = "thresholdValue", value = "告警阈值")
    private String thresholdValue ;

    @ApiModelProperty(name = "currRealValue", value = "当前采集值")
    private String currRealValue ;

    @ApiModelProperty(name = "equipmentStatus", value = "设备状态")
    private String equipmentStatus;
    
    @ApiModelProperty(name = "ipaddr", value = "服务器地址")
    private String ipaddr;

    @ApiModelProperty(name = "port", value = "端口号")
    private String port;
    
    @ApiModelProperty(name = "msgInfo", value = "告警信息")
    private String msgInfo;
    
    @ApiModelProperty(name = "phase", value = "相别 ")
    private String phase;
    @ApiModelProperty(name = "offlineReportNumber", value = "例行试验次数")
    private Integer offlineReportNumber;
}
