package com.huatek.busi.where;

import com.huatek.torch.sql.beans.PageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "rParamAttrBasicDataSelectVo", description = "报告参数属性条件查询")
public class RParamAttrBasicDataSelectVo extends PageBean implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id", name = "唯一主键标识")
    private String id;

    @ApiModelProperty(value = "pId", name = "关联参数编号")
    private String pId;

    @ApiModelProperty(value = "disParamValue", name = "离线参数名称")
    private String disParamValue;

    @ApiModelProperty(value = "deleted", name = "删除标识 0 否 1 是")
    private String deleted;
}
