package com.huatek.busi.service;

import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.dto.curve.CircleCurveSensorRequestDto;
import com.huatek.busi.vo.BusiGeneratorAmplVo;
import com.huatek.busi.vo.BusiGeneratorAmplVo2;
import com.huatek.busi.vo.CwzzTemperatureStatisticsVo;
import com.huatek.busi.vo.GeneratorAmplStatisticsVo;
import com.huatek.busi.vo.HomeActualVo;
import com.huatek.busi.vo.echarts.CircleEchartLineDataVo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 测温装置——测温装置： 电缆028006、变压器021013  CwzzTemperature
 */
public interface BusiGeneratorAmplService {

//    CwzzTemperatureStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
    List<BusiGeneratorAmplVo2> queryHistory(String sensorCode, LocalDateTime startTime, LocalDateTime endTime);

    HomeActualVo queryActual(HomeSearchDto param);

    GeneratorAmplStatisticsVo getListEquInfo(LocalDate day, String sensorCode);

    CircleEchartLineDataVo getTrendForCircleData(CircleCurveSensorRequestDto param);

    List<HomeActualVo> queryActuals();

    List<BusiGeneratorAmplVo> selectByParams(String sensorCode, LocalDateTime start, LocalDateTime end);
}
