package com.huatek.busi.service;

import com.huatek.busi.dto.HomeSearchDto;
import com.huatek.busi.vo.BusiGeneratorPressureVo;
import com.huatek.busi.vo.GeneratorAmplStatisticsVo;
import com.huatek.busi.vo.GeneratorPressureStatisticsVo;
import com.huatek.busi.vo.HomeActualVo;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

/**
 * 测温装置——测温装置： 电缆028006、变压器021013  CwzzTemperature
 */
public interface BusiGeneratorPressureService {

//    CwzzTemperatureStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
    List<BusiGeneratorPressureVo> queryHistory(String sensorCode, LocalDateTime startTime, LocalDateTime endTime);

    HomeActualVo queryActual(HomeSearchDto param);

    GeneratorPressureStatisticsVo getListEquInfo(LocalDate day, String sensorCode);

    List<HomeActualVo> queryActuals();

}
