package com.huatek.busi.service;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.HotSpotTemperatureResultDto;
import com.huatek.busi.vo.HotSpotTemperatureResultVo;

import java.time.LocalDate;

/**
 * <p>
 * 热点温度计算结果表 服务类
 * </p>
 *
 * @author dong
 * @since 2023-07-19
 */
public interface HotSpotTemperatureResultService {


    PageInfo<HotSpotTemperatureResultVo> page(String siteId,String mainTreeId, LocalDate start, LocalDate end, Integer page, Integer limit, String type);

    boolean calculate(HotSpotTemperatureResultDto dto);

    HotSpotTemperatureResultVo selectById(String id);
}
