package com.huatek.busi.service.arrester;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.ArresterOfflineExperimentReportDto;
import com.huatek.busi.vo.ArresterOfflineExperimentReportVo;
import com.huatek.busi.vo.routinetest.arrester.ArresterOfflineExperimentReportObj;

/**
 * 避雷器离线实现报告
 * 
 * @author buck_guo
 * @date 2019/08/23
 */
public interface ArresterOfflineExperimentReportService {
    /**
     * 保存避雷器离线实现报告数据
     * 
     * @param arresterOfflineExperimentReportDto
     * @return
     */
    int saveArresterOfflineExperimentReport(String token, ArresterOfflineExperimentReportObj arresterOfflineExperimentReportObj);

    PageInfo<ArresterOfflineExperimentReportVo> queryList(ArresterOfflineExperimentReportDto arresterOfflineExperimentReportDto);
    
    ArresterOfflineExperimentReportObj selectByPrimaryKey(String id);
    
    ArresterOfflineExperimentReportObj getByTreeId(String mainTreeId);
}
