package com.huatek.busi.service.cable;

import com.huatek.busi.vo.InfraredTemperatureStatisticsVo;
import com.huatek.busi.vo.cable.BusiCableCirculationStatisticsVo;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface CableCirculationStatisticsService {

    int saveCableCirculationStatistics(LocalDate day);


    Map<String, Object> getRecordBySensorCode(@Param("sensorCode") String sensorCode, @Param("startTime") LocalDateTime startTime,
                                                    @Param("endTime") LocalDateTime endTime);

    Map<String,Object> getItem(String sensorCode,LocalDate day);
}
