package com.huatek.busi.service.generatro;


import com.huatek.busi.dto.BusiOfflineGeneratorBrandDto;
import com.huatek.busi.vo.BusiOfflineCableBrandVo;
import com.huatek.busi.vo.BusiOfflineGeneratorBrandVo;

import java.util.Map;

/**
 * 发电机标牌信息表 Service
 *
 * @author mitchell_ma
 */
public interface BusiOfflineGeneratorBrandService  {
    /**
     * 修改 发电机标牌信息表
     *
     * @param token token
     * @param busiOfflineGeneratorBrandDto 发电机标牌信息表Dto
     */
    int updateBusiOfflineGeneratorBrand(String token, BusiOfflineGeneratorBrandDto busiOfflineGeneratorBrandDto);




    /**
     * 通过systemCode查找 发电机标牌信息
     * @param siteId
     * @return
     */
    BusiOfflineGeneratorBrandVo findBusiOfflineGeneratorBrand(String siteId, String mainEquipmentId);

    Map<String, Object> saveBusiOfflineGeneratorBrand(String token, BusiOfflineGeneratorBrandDto busiOfflineGeneratorBrandDto);
    int saveOrUpdateBrand(String siteId, String id, String name);


}
