package com.huatek.busi.service.gis;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.GisOfflineExperimentReportDto;
import com.huatek.busi.vo.routinetest.gis.GisOfflineExperimentReportVo;

/**
 * Gis离线试验报告Service
 * 
 * @author anker_cheng
 * @date 2019/08/24
 */
public interface GisOfflineExperimentReportService {

    /**
     * 分页查询
     * 
     * @param gisOfflineExperimentReportDto
     * @return
     */
    PageInfo<GisOfflineExperimentReportVo>
        findGisOfflineExperimentReportList(GisOfflineExperimentReportDto gisOfflineExperimentReportDto);

    /**
     * 根据ID获取
     * 
     * @param id
     * @return
     */
    GisOfflineExperimentReportVo getGisOfflineExperimentReport(String id);

    GisOfflineExperimentReportVo getByTreeId(String mainTreeId);

    /**
     * 保存或更新
     * 
     * @param token
     * @param param
     * @return
     */
    int saveGisOfflineExperimentReport(String token, GisOfflineExperimentReportDto param);
}
