package com.huatek.busi.service.gis;

import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.GisPdCacheDto;
import com.huatek.busi.dto.monitor.BusiOnlineMonitorDataDto;
import com.huatek.busi.entity.TransformerPd;
import com.huatek.busi.vo.GisPdCacheVo;

/**
 * 变压器局部放电暂存数据(  类型编码 ：024001) Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 6:32:08 PM
 */
public interface GisPdCacheService {

    /**
     * 分页查找查找 变压器局部放电暂存数据(  类型编码 ：024001)
     *
     * @param gisPdCacheDto 变压器局部放电暂存数据(  类型编码 ：024001)Dto
     * @return Page<GisPdCacheVo> 变压器局部放电暂存数据(  类型编码 ：024001)List
     */
    PageInfo<GisPdCacheVo> findGisPdCachePage(GisPdCacheDto gisPdCacheDto);

    PageInfo<Map<String, Object>> findGisPdCachePage(BusiOnlineMonitorDataDto busiOnlineMonitorDataDto);


    /**
     * 根据GIS局放保存实时数据
     * 
     * @param transformerPd 局放数据
     * @return
     */
    int saveGisPdCache(TransformerPd transformerPd);
}
