package com.huatek.busi.service.substation;

import java.time.LocalDate;

import com.huatek.busi.vo.MeteorologicalStatisticsVo;
import com.huatek.busi.vo.SubstationMicGisVo;

/**
 * GIS微气象日统计 Service
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:40 AM
 */
public interface SubstationMicGisService {

    SubstationMicGisVo findSubstationMicGis(String siteId, String mainTreeId);

    void saveSubstationMicGis(MeteorologicalStatisticsVo item, LocalDate day);
}
