package com.huatek.busi.service.transformer;

import java.util.Map;

import com.huatek.busi.entity.BusiOutlineTransformerExperimentData;
import com.huatek.busi.entity.BusiTransformerExperiment;

/**
  * @ClassName: BusiTransformerExperimentService
  * @FullClassPath: com.huatek.busi.service.transformer.BusiTransformerExperimentService
  * @Description: 变压器例行试验七气一水值 服务
  * @author: Arno
  * @date: Jul 15, 2019 10:45:38 AM
  * @version: 1.0
  */

public interface BusiTransformerExperimentService {

	

	/** 
	* @Title: createBusiTransformerExperiment 
	* @Description: 跟新中间表 
	* @createDate: Jul 15, 2019 10:59:38 AM
	* @param    experimentData  例行试验数据
	* @return   void    
	* @throws 
	*/ 
	public void  createBusiTransformerExperiment(  BusiOutlineTransformerExperimentData experimentData);
	
	
	/** 
	* @Title: findByEquipmentId 
	* @Description: 根据设备ID获取值 
	* @createDate: Jul 15, 2019 10:55:30 AM
	* @param    siteId     	      站点ID
	* @param    equipmentId    变压器设备ID
	* @return   BusiTransformerExperiment    
	* @throws 
	*/ 
	public BusiTransformerExperiment findByEquipmentId(String siteId,String equipmentId);
	
	
	/** 
	* @Title: updateBusiTransformerExperiment 
	* @Description: 跟新中间表 
	* @createDate: Jul 15, 2019 10:59:38 AM
	* @param    experimentData  例行试验数据
	* @return   void    
	* @throws 
	*/ 
	public void  updateBusiTransformerExperiment(  BusiTransformerExperiment entity );


	public void createBusiTransformerExperiment(Map<String, Object> map);
}
