package com.huatek.busi.service.transformer;

import com.huatek.busi.dto.EquipmentInfoDto;
import com.huatek.busi.dto.TransformerEpaDataCacheDto;
import com.huatek.busi.entity.TransformerEpaData;
import com.huatek.busi.vo.warning.BusiOilVo;

/**
 * 变压器油色谱暂存数据（类型编码 ：021002） Service
 *
 * @author anker_cheng
 * @date Jul 15, 2019 1:49:02 PM
 */
public interface TransformerEpaDataCacheService {

	int saveOrUpdateTransformerEpaDataCache(TransformerEpaData entity, EquipmentInfoDto equipmentInfo);

    /**
     * 获取油色谱实时数据
     *
     * @param transformerEpaDataCacheDto 油色谱实时数据汇总表Dto
     * @return BusiOilVo 变压器-油色谱实时数据
     */
	BusiOilVo findTransformerEpaDataCacheRecordPage(TransformerEpaDataCacheDto transformerEpaDataCacheDto);
}
