package com.huatek.busi.service.transformer;

import java.time.LocalDateTime;

import com.huatek.busi.entity.TransformerEpaDataStatistics;
import com.huatek.busi.vo.epa.EpaOneDataVo;

/**
 * 油色谱统计数据表 Service
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:13:54 AM
 */
public interface TransformerEpaDataStatisticsService {

    TransformerEpaDataStatistics saveTransformerEpaDataStatistics(LocalDateTime dateTime, EpaOneDataVo epaOneDataVo);

    TransformerEpaDataStatistics findIntervalDate(String siteId, String mainEquipmentId, String subEquipmentId,
        LocalDateTime dateTime);
}
