package com.huatek.busi.service.transformer;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.TransformerInfraredMonitoringCacheDto;
import com.huatek.busi.entity.TransformerInfraredTemperature;
import com.huatek.busi.vo.TransformerInfraredMonitoringCacheVo;

/**
 * 变压器红外监测暂存数据 Service
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:02 PM
 */
public interface TransformerInfraredMonitoringCacheService {

    /**
     * 分页查找查找 变压器红外监测暂存数据
     *
     * @param transformerInfraredMonitoringCacheDto 变压器红外监测暂存数据Dto
     * @return Page<TransformerInfraredMonitoringCacheVo> 变压器红外监测暂存数据List
     */
    PageInfo<TransformerInfraredMonitoringCacheVo> findTransformerInfraredMonitoringCachePage(
            TransformerInfraredMonitoringCacheDto transformerInfraredMonitoringCacheDto);

    /**
     * 保存变压器红外检测实时数据
     * 
     * @param cacEntity
     * @return
     */
    int saveTransformerInfraredMonitoringCache(TransformerInfraredTemperature cacEntity);
}
