package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

import com.huatek.busi.vo.InfraredTemperatureStatisticsVo;

/**
 * 变压器/电抗器——红外测温：021010、022002、023002、024007 Service
 *
 * @author anker_cheng
 * @date Jun 26, 2019 1:11:47 PM
 */
public interface TransformerInfraredTemperatureService{

    InfraredTemperatureStatisticsVo getListEquInfo(String cacMonitorTypeCode, LocalDate day, String sensorCode);
    List<Map<String,Object>> queryHistory(String sensorCode,LocalDateTime startTime,LocalDateTime endTime);
}
