 package com.huatek.busi.service.transformer;

import java.time.LocalDate;
import java.util.List;
import java.util.Map;

import com.github.pagehelper.PageInfo;
import com.huatek.busi.dto.TransformerRunStatusDto;
import com.huatek.busi.entity.TransformerRunStatus;
import com.huatek.busi.service.curve.BaseCurveSensorService;
import com.huatek.busi.vo.TransformerRunStatusCountVo;
import com.huatek.busi.vo.TransformerRunStatusVo;

/**
 * 变压器运行工况历史查询
 * @author buck_guo
 * @date 2019/08/22
 */
 public interface TransformerRunStatusService extends BaseCurveSensorService{
     Map<String, Object> findTransformerRunStatusPage(Map<String, Object> params);
     
     PageInfo<TransformerRunStatusVo> transformerRunStatusCurrent(TransformerRunStatusDto params);
     
     /**
      * 变压器运行工况监测数据导出
      * 
      * @param <VO>
      * @param params 参数
      * @return
      */
     Map<String, Object> exportPointTableData(String mainTreeId,LocalDate timeStamp,LocalDate timeStampEnd);

     List<TransformerRunStatusCountVo> getListEquInfo(LocalDate day);


}
