package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.ArresterOfflineExperimentReportDto;
import com.huatek.busi.vo.ArresterOfflineExperimentReportVo;

/**
 * 避雷器离线实验报告数据
 * @author buck_guo
 * @date 2019/08/23
 */
@Repository
public interface ArresterOfflineExperimentReportMapper {
    /**
     * 分页查询
     * @param arresterOfflineExperimentReportDto
     * @return
     */
    Page<ArresterOfflineExperimentReportVo> queryList(ArresterOfflineExperimentReportDto arresterOfflineExperimentReportDto);
    
    ArresterOfflineExperimentReportVo getByTreeId(@Param("mainTreeId")String mainTreeId);
}