package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiOfflineTransformerCheckDto;
import com.huatek.busi.vo.BusiOfflineTransformerCheckVo;

/**
 * 变压器投运验收结论 Mapper
 *
 * @author anker_cheng
 * @date Jul 4, 2019 2:00:06 PM
 */
@Repository
public interface  BusiOfflineTransformerCheckMapper {

	/**
	 * 分页查询 变压器投运验收结论
     *
	 * @param busiOfflineTransformerCheckDto 变压器投运验收结论Dto
	 * @return Page 变压器投运验收结论List
	 */
	Page<BusiOfflineTransformerCheckVo> selectBusiOfflineTransformerCheckPage(BusiOfflineTransformerCheckDto busiOfflineTransformerCheckDto);

	BusiOfflineTransformerCheckVo getBusiOfflineTransformerCheckVo(String id);
	
	void batchDel(@Param("ids")List<String> ids);

	String checkExist(@Param("equipmentId")String equipmentId, @Param("id")String id);
}

