package com.huatek.busi.mapper;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.BusiTransformerExperiment;

/**
  * @ClassName: BusiTransformerExperimentMapper
  * @FullClassPath: com.huatek.busi.mapper.BusiTransformerExperimentMapper
  * @Description: 变压器例行试验七气一水值 Mapper 
  * @author: Arno
  * @date: Jul 15, 2019 10:48:53 AM
  * @version: 1.0
  */

@Repository
public interface BusiTransformerExperimentMapper {
	

	/** 
	* @Title: findByEquipmentId 
	* @Description: 根据设备ID获取值 
	* @createDate: Jul 15, 2019 10:55:30 AM
	* @param    siteId     	      站点ID
	* @param    equipmentId    变压器设备ID
	* @return   BusiTransformerExperiment    
	* @throws 
	*/ 
	public BusiTransformerExperiment findByEquipmentId(@Param("siteId")String siteId,@Param("equipmentId")String equipmentId);

}
