package com.huatek.busi.mapper;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.CwgTemperatureStatisticsDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.mapper.monitor.BaseMonitorDataMapper;
import com.huatek.busi.vo.CwgTemperatureStatisticsVo;
import com.huatek.busi.vo.CwgTemperatureVo;

/**
 * 测温柜——测温柜：026002 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface CwgTemperatureMapper extends BaseCurveSensorMapper, BaseMonitorDataMapper {

    Page<Map<String, Object>> findCACPageData(Map<String, Object> params);

    List<CwgTemperatureVo> exportCacMonitorData(Map<String, Object> params);

    List<CwgTemperatureStatisticsVo> getListEquInfo(CwgTemperatureStatisticsDto param);
}
