package com.huatek.busi.mapper;

import com.huatek.busi.vo.CwzzThresholdVo;
import com.huatek.busi.vo.WindingThresholdVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 绕组热阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Repository
public interface CwzzThresholdMapper {
    public CwzzThresholdVo queryCwzzThreshold(@Param("sensorCode") String sensorCode, @Param("workStatus")String workStatus);

//    public CwzzThresholdVo queryCwzzThresholdByCondition(@Param("sensorCode") String sensorCode,@Param("workStatus")String workStatus,@Param("regionPosition")String regionPosition);

    public List<CwzzThresholdVo> queryCwzzThresholdBySensorCode(@Param("sensorCode") String sensorCode);

    public int updateSensorInsertCwzzBySensorCode(@Param("oldSensorCode") String oldSensorCode,@Param("newSensorCode") String newSensorCode);
}
