package com.huatek.busi.mapper;

import com.huatek.busi.dto.GeneratorAmplThresholdDto;
import com.huatek.busi.entity.GeneratorAmplThreshold;
import com.huatek.busi.vo.CwzzThresholdVo;
import com.huatek.busi.vo.GeneratorAmplThresholdVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 变压器铁芯、夹件阈值表 Mapper
 *
 * @author anker_cheng
 * @date Aug 2, 2019 1:56:07 PM
 */
@Repository
public interface GeneratorAmplThresholdMapper {

    public GeneratorAmplThresholdVo queryGeneratorAmplThreshold(@Param("sensorCode") String sensorCode, @Param("workStatus")String workStatus);

//    public CwzzThresholdVo queryCwzzThresholdByCondition(@Param("sensorCode") String sensorCode,@Param("workStatus")String workStatus,@Param("regionPosition")String regionPosition);

    public List<GeneratorAmplThresholdVo> queryGeneratorAmplThresholdBySensorCode(@Param("sensorCode") String sensorCode);

    public int updateSensorInsertGeneratorAmplBySensorCode(@Param("oldSensorCode") String oldSensorCode,@Param("newSensorCode") String newSensorCode);

    Map<String, Object> findType(@Param("sensorCode") String sensorCode);
}
