package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.GisEmStatusDto;
import com.huatek.busi.mapper.curve.BaseCurveSensorMapper;
import com.huatek.busi.vo.GisEmStatusVo;

/**
 * 断路器/GIS——储能电机工作状态：024006 Mapper
 *
 * @author anker_cheng
 * @date Jun 25, 2019 5:35:32 PM
 */
@Repository
public interface  GisEmStatusMapper extends BaseCurveSensorMapper{

	/**
	 * 分页查询 断路器/GIS——储能电机工作状态：024006
     *
	 * @param gisEmStatusDto 断路器/GIS——储能电机工作状态：024006Dto
	 * @return Page 断路器/GIS——储能电机工作状态：024006List
	 */
	Page<GisEmStatusVo> selectGisEmStatusPage(GisEmStatusDto gisEmStatusDto);
}

