package com.huatek.busi.mapper;

import com.huatek.busi.vo.HeaderInfoVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @author plus_wang
 */
@Repository
public interface GisHomePageMapper {

    /**
     * 根据id查询电压电流及负荷率
     * @param mainTreeId 设备树id
     * @return HeaderInfoVo
     */
    HeaderInfoVo findHeaderInfoById(@Param("mainTreeId") String mainTreeId);
}
