package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;
import com.github.pagehelper.Page;

import com.huatek.busi.dto.IecBaseConfDto;
import com.huatek.busi.vo.IecBaseConfVo;

/**
 * IEC104-基础地址配置表 Mapper
 *
 * @author anker_cheng
 * @date 2019-8-1 9:40:53
 */
@Repository
public interface  IecBaseConfMapper {

	/**
	 * 分页查询 IEC104-基础地址配置表
     *
	 * @param iecBaseConfDto IEC104-基础地址配置表Dto
	 * @return Page IEC104-基础地址配置表List
	 */
	Page<IecBaseConfVo> selectIecBaseConfPage(IecBaseConfDto iecBaseConfDto);

}

