package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.InfraredThresholdVo;

/**
 * 红外热阈值
 * @author buck_guo
 * @date 2019/08/09
 */
@Repository
public interface InfraredThresholdMapper {
    public InfraredThresholdVo queryInfraredThreshold(@Param("sensorCode") String sensorCode,@Param("workStatus")String workStatus);
    
    public InfraredThresholdVo queryInfraredThresholdByCondition(@Param("sensorCode") String sensorCode,@Param("workStatus")String workStatus,@Param("regionPosition")String regionPosition);
    
    public List<InfraredThresholdVo> queryInfraredThresholdBySensorCode(@Param("sensorCode") String sensorCode);
    
    public int updateSensorInsertInfraredBySensorCode(@Param("oldSensorCode") String oldSensorCode,@Param("newSensorCode") String newSensorCode);
}