package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.OpChangeLogEntityDto;
import com.huatek.busi.vo.OpChangeLogEntityVo;

/**
 * 变更操作日志Mapper
 * 
 * @author anker_cheng
 * @date 2019/07/11
 */
@Repository
public interface OpChangeLogEntityMapper {

    /**
     * 分页查询
     * 
     * @param opChangeLogEntityDto
     *            OpChangeLogEntityDto
     * @return OpChangeLogEntityVo
     */
    Page<OpChangeLogEntityVo> findOpChangeLogPage(OpChangeLogEntityDto opChangeLogEntityDto);
}
