package com.huatek.busi.mapper;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.RptAretTemperSummary;

/**
 * 避雷器-红外测温每日汇总汇总
 * 
 * @author buck_guo
 * @date 2019/07/16
 */
@Repository
public interface RptAretTemperSummaryMapper {

    int deleteOneDayData(@Param("day") LocalDate day);

    List<RptAretTemperSummary> findOneDayData(@Param("startTime") LocalDateTime startTime,
        @Param("endTime") LocalDateTime endTime);
}