package com.huatek.busi.mapper;

import java.time.LocalDate;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.vo.SubstationMicGisVo;

/**
 * GIS微气象日统计 Mapper
 *
 * @author anker_cheng
 * @date Jul 17, 2019 10:21:35 AM
 */
@Repository
public interface SubstationMicGisMapper {

    SubstationMicGisVo findSubstationMicGis(@Param("siteId") String siteId, @Param("mainTreeId") String mainTreeId);

    int deleteItem(@Param("mainTreeId") String mainTreeId, @Param("day") LocalDate day);
}