package com.huatek.busi.mapper;

import java.time.LocalDateTime;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.TransformerEpaDataStatistics;

/**
 * 油色谱统计数据表 Mapper
 *
 * @author anker_cheng
 * @date Jul 15, 2019 11:13:50 AM
 */
@Repository
public interface TransformerEpaDataStatisticsMapper {

    TransformerEpaDataStatistics findIntervalDate(@Param("siteId")String siteId, 
        @Param("mainEquipmentId")String mainEquipmentId, 
        @Param("subEquipmentId")String subEquipmentId,
        @Param("dTime")LocalDateTime dTime);
}
