package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.TransformerWindingTemperatureCacheDto;
import com.huatek.busi.entity.TransformerWindingTemperature;
import com.huatek.busi.entity.TransformerWindingTemperatureCache;
import com.huatek.busi.vo.TransformerWindingTemperatureCacheVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;

/**
 * 变压器绕组监测统计数据 Mapper
 *
 * @author anker_cheng
 * @date Jun 28, 2019 1:21:00 PM
 */
@Repository
public interface TransformerWindingTemperaturStatisticMapper {

    int deleteItem(@Param("sensorCode") String sensorCode, @Param("day") LocalDate day,
                   @Param("cacMonitorTypeCode") String cacMonitorTypeCode);}
