package com.huatek.busi.mapper;

import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.VideoProduceMonitorDto;
import com.huatek.busi.vo.VideoProduceMonitorVo;

/**
 * 视频生产检测
 * @author buck_guo
 * @date 2019/07/23
 */
@Repository
public interface VideoProduceMonitorMapper {
    /**
     * 分页查询视频生产检测
     *
     * @param VideoProduceMonitorDto 视频生产检测Dto
     * @return Page 视频生产检测List
     */
    Page<VideoProduceMonitorVo> findVideoProduceMonitorPage(VideoProduceMonitorDto videoProduceMonitorDto);

}