package com.huatek.busi.mapper;

import com.github.pagehelper.Page;
import com.huatek.busi.entity.BusiSiteTree;
import com.huatek.busi.entity.TransformerLoadRate;
import com.huatek.busi.entity.WiringDiagram;
import com.huatek.busi.vo.AppendixAssessmentResultVo;
import com.huatek.busi.vo.BusiGisCaculateStepVo;
import com.huatek.busi.vo.BusiParamTransformerVoluntarilyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.time.LocalDate;
import java.util.List;

@Repository
public interface WiringDiagramMapper {

    Page<WiringDiagram> selectLists(@Param("fileName")String fileName,
                                    @Param("startTime") LocalDate startTime,
                                    @Param("endTime") LocalDate endTime);


    int deleteWiringDiagram(@Param("idList")List<String> idList);
    int deleteModel(@Param("idList")List<String> idList);

}
