package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.CalculateStep;
import com.huatek.busi.service.ICalculateStepService;
import com.huatek.torch.sql.dao.impl.BaseDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Slf4j
@Component
@Service(interfaceClass = ICalculateStepService.class)
@Transactional(rollbackFor = Exception.class)
public class CalculateStepServiceImpl extends BaseDao<CalculateStep, String> implements ICalculateStepService {

    @Override
    public int insert(CalculateStep calculateStep){
        return this.add(calculateStep);
    }
}
