package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.HomeTitleName;
import com.huatek.busi.mapper.HomeTitleNameMapper;
import com.huatek.busi.service.HomeTitleService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;



@Slf4j
@Component
@Service(interfaceClass = HomeTitleService.class)
@Transactional(rollbackFor = Exception.class)
public class HomeTitleNameServiceImpl implements HomeTitleService {
    @Autowired
    HomeTitleNameMapper homeTitleNameMapper;
    @Override
    public HomeTitleName findTitleName() {
        HomeTitleName findTitleName = homeTitleNameMapper.findTitle();
        return findTitleName;
    }
}
