package com.huatek.busi.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import cn.hutool.core.util.StrUtil;
import com.alibaba.dubbo.config.annotation.Reference;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.huatek.busi.common.SiteConstants;
import com.huatek.busi.dto.LabReportBasisDataStatisticsDto;
import com.huatek.busi.dto.LabReportParamDataDto;
import com.huatek.busi.dto.LabReportParamDataDtos;
import com.huatek.busi.entity.LabBlqReportParamData;
import com.huatek.busi.entity.LabReportParamData;
import com.huatek.busi.mapper.LabReportParamDataMapper;
import com.huatek.busi.service.ILabBlqReportParamDataService;
import com.huatek.busi.service.ILabReportParamDataService;
import com.huatek.busi.vo.LabReportParamDataVo;
import com.huatek.busi.where.LabReportBasisDataStatisticsWhereVo;
import com.huatek.busi.where.LabReportParamDataSelectVo;
import com.huatek.frame.base.service.DictionnaireDetailService;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.frame.base.util.Constants;
import com.huatek.frame.base.vo.DictionnaireDetailVO;
import com.huatek.torch.frame.tools.ConstantUtil;
import com.huatek.torch.frame.tools.ResultUtil;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;
import java.util.Objects;

@Component
@Service(interfaceClass = ILabBlqReportParamDataService.class)
@Transactional(rollbackFor = Exception.class)
public class LabBlqReportParamDataServiceImpl extends BaseDao<LabBlqReportParamData, String> implements ILabBlqReportParamDataService {

    @Override
    public int insert(LabReportParamDataVo labReportParamDataVo){
        LabBlqReportParamData labBlqReportParamData = new LabBlqReportParamData();
        BeanUtils.copyProperties(labReportParamDataVo, labBlqReportParamData);
        return this.add(labBlqReportParamData);
    }
}
