package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabDlReportParamData;
import com.huatek.busi.service.ILabBlqReportParamDataService;
import com.huatek.busi.service.ILabDlReportParamDataService;
import com.huatek.busi.service.ILabReportParamDataService;
import com.huatek.busi.vo.LabReportParamDataVo;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Component
@Service(interfaceClass = ILabDlReportParamDataService.class)
@Transactional(rollbackFor = Exception.class)
public class LabDlReportParamDataServiceImpl extends BaseDao<LabDlReportParamData, String> implements ILabDlReportParamDataService {

    @Override
    public int insert(LabReportParamDataVo labReportParamDataVo){
        LabDlReportParamData labDlReportParamData = new LabDlReportParamData();
        BeanUtils.copyProperties(labReportParamDataVo, labDlReportParamData);
        return this.add(labDlReportParamData);
    }
}
