package com.huatek.busi.service.impl;

import com.alibaba.dubbo.config.annotation.Service;
import com.huatek.busi.entity.LabGenReportMarkStatistic;
import com.huatek.busi.entity.LabReportMarkStatistic;
import com.huatek.busi.service.ILabGenReportMarkStatisticService;
import com.huatek.busi.service.ILabReportMarkStatisticService;
import com.huatek.busi.vo.LabReportMarkStatisticVo;
import com.huatek.frame.base.util.BeanUtils;
import com.huatek.torch.sql.dao.impl.BaseDao;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

@Slf4j
@Component
@Service(interfaceClass = ILabGenReportMarkStatisticService.class)
@Transactional(rollbackFor = Exception.class)
public class LabGenReportMarkStatisticServiceImpl extends BaseDao<LabGenReportMarkStatistic, String> implements ILabGenReportMarkStatisticService {

    @Override
    public int insert(LabReportMarkStatisticVo labReportMarkStatisticVo){
        LabGenReportMarkStatistic labGenReportMarkStatistic = new LabGenReportMarkStatistic();
        BeanUtils.copyProperties(labReportMarkStatisticVo, labGenReportMarkStatistic);
        return this.add(labGenReportMarkStatistic);
    }
}
