package com.huatek.busi.service.impl.dataoutput.helper;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Repeatable;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Documented
@Repeatable(OptExecutors.class)
public @interface OptExecutor {

    String value() default "";

    String mainEquipmentType();

    String subEquipmentType();
}
