package com.huatek.busi.task.curve.helper;

import java.time.LocalDate;

import com.huatek.busi.task.base.BusiTaskExecutor;

/**
 * 曲线图定时任务接口
 * 
 * @author anker_cheng
 * @date 2019/09/26
 */
public interface CurveTask extends BusiTaskExecutor {

    /**
     * 每天执行，将前一天的数据按照对应的算法，计算成点，用作曲线图展示用
     * 
     * @param day
     *            日期
     */
    void execute(LocalDate day);
}
