package com.huatek.busi.util;

public class EvaluateConstant {

	/** @Fields DESIGN_BRAND : 变压器设计、标牌、运行环境、负荷权重*/
	public static final String DESIGN_BRAND = "LEVEL1_WEIGHT";

	/** @Fields INDIVIDUAL_INSULATION : 个体绝缘*/
	public static final String INDIVIDUAL_INSULATION = "LEVEL2_WEIGHT";

	/** @Fields HEREDITY_RISK : 变压器及附件可靠性、遗传及风险，权重*/
	public static final String  HEREDITY_RISK= "LEVEL3_WEIGHT";

	/*************************************压器绝缘试验-油色谱*************************************/
	/** @Fields YSP : 压器绝缘试验-油色谱*/
	public static final String  YSP= "YSP";

	/** @Fields H2 : H2*/
	public static final String  H2= "H2";

	/** @Fields CO : CO*/
	public static final String  CO= "CO";

	/** @Fields CO2 : CO2*/
	public static final String  CO2= "CO2";

	/** @Fields CH4 : CH4*/
	public static final String  CH4= "CH4";

	/** @Fields C2H2 : C2H2*/
	public static final String  C2H2= "C2H2";

	/** @Fields C2H4 : C2H4*/
	public static final String  C2H4= "C2H4";

	/** @Fields C2H6 : C2H6*/
	public static final String  C2H6= "C2H6";

	/** @Fields ZT : 总烃*/
	public static final String  ZT= "ZT";

	/** @Fields CO_CQ : CO绝对产气速率*/
	public static final String  CO_CQ= "CO_CQ";

	/** @Fields CO_XD_CQ : CO相对产气速率*/
	public static final String  CO_XD_CQ= "CO_XD_CQ";

	/** @Fields CO2_CQ : CO2绝对产气速率*/
	public static final String  CO2_CQ= "CO2_CQ";

	/** @Fields CO2_XD_CQ : CO2相对产气速率*/
	public static final String  CO2_XD_CQ= "CO2_XD_CQ";

	/** @Fields ZQ_CQ : 总烃绝对产气速率*/
	public static final String  ZQ_CQ= "ZQ_CQ";

	/** @Fields ZQ_XD_CQ : 总烃相对产气速率*/
	public static final String  ZQ_XD_CQ= "ZQ_XD_CQ";

	/*************************************压器绝缘试验-油质试验*************************************/
	/** @Fields YZSY : 变压器绝缘试验-油质试验*/
	public static final String  YZSY= "YZSY";

	/** @Fields YZSY_WS : 油中微水*/
	public static final String  YZSY_WS= "YZSY_WS";

	/** @Fields YZSY_YJS : 油介损*/
	public static final String  YZSY_YJS= "YZSY_YJS";

	/** @Fields YZSY_YJCDY : 油击穿电压（Kv)*/
	public static final String  YZSY_YJCDY= "YZSY_YJCDY";

	/*************************************压器绝缘试验-声级振动*************************************/
	/** @Fields YZSY : 变压器绝缘试验-声级振动*/
	public static final String BYQ_SJZD = "BYQ_SJZD";

	/** @Fields YZSY_WS : 中性点电流*/
	public static final String  SJZD_ZXDDL= "SJZD_ZXDDL";

	/** @Fields YZSY_YJS : 噪声*/
	public static final String  SJZD_ZS= "SJZD_ZS";

	/** @Fields YZSY_YJCDY : 原边振动*/
	public static final String  SJZD_YBZD= "SJZD_YBZD";

	/** @Fields YZSY_YJCDY : 副边振动*/
	public static final String  SJZD_FBZD= "SJZD_FBZD";

	/*************************************变压器绝缘试验-糠醛指标*************************************/
	/** @Fields KQZB : 变压器绝缘试验-糠醛指标*/
	public static final String  KQZB= "KQZB";

	/** @Fields KQZB_KQHL : 糠醛含量*/
	public static final String  KQZB_KQHL= "KQZB_KQHL";

	/*************************************变压器绝缘试验-绝缘纸实验*************************************/
	/** @Fields JYZ_ : 变压器绝缘试验-绝缘纸实验*/
	public static final String  JYZ= "JYZ";

	/** @Fields JYZ_ZBJHD : 纸板聚合度Dp*/
	public static final String  JYZ_ZBJHD= "JYZ_ZBJHD";

	/*************************************变压器绝缘试验-诊断性试验*************************************/
	/** @Fields ZDXSY : 变压器绝缘试验-诊断性试*/
	public static final String  ZDXSY= "ZDXSY";

	/** @Fields ZDXSY_YJZHSL : 绝缘纸含水量（质量分数%）*/
	public static final String  ZDXSY_YJZHSL= "ZDXSY_YJZHSL";

	/** @Fields ZDXSY_RZZL_XLDL : 绕组直流泄漏电流（变化率%）*/
	public static final String  ZDXSY_RZZL_XLDL= "ZDXSY_RZZL_XLDL";

	/** @Fields ZDXSY_TXJDDL : 铁芯接地电流*/
	public static final String  ZDXSY_TXJDDL= "ZDXSY_TXJDDL";

	/** @Fields ZDXSY_ZD_SJ :震动、声级（变化率%） */
	public static final String  ZDXSY_ZD_SJ= "ZDXSY_ZD_SJ";

	/** @Fields ZDXSY_KZDL_KZSHL : 空载电流、空载损耗变化率（%）*/
	public static final String  ZDXSY_KZDL_KZSHL= "ZDXSY_KZDL_KZSHL";

	/** @Fields ZDXSY_DLZKBHL : 短路阻抗变化率*/
	public static final String  ZDXSY_DLZKBHL= "ZDXSY_DLZKBHL";

	/*************************************例行试验(试验值)*************************************/

	/** @Fields LXSY : 变压器绝缘试验-例行试验*/
	public static final String  LXSY= "LXSY";

	/** @Fields  LXSY_JHZS: 极化指数*/
	public static final String  LXSY_JHZS= "LXSY_JHZS";

	/** @Fields LXSY_JFFDL :局放放电量 */
	public static final String  LXSY_JFFDL= "LXSY_JFFDL";

	/** @Fields  LXSY_JYDZ: 绝缘电阻*/
	public static final String  LXSY_JYDZ= "LXSY_JYDZ";

	/** @Fields  绝缘电阻吸收比: LXSY_JYDZ_SHB*/
	public static final String  LXSY_JYDZ_SHB= "LXSY_JYDZ_SHB";

	/** @Fields  LXSY_RZZL_DZXJC: 绕组直流电阻相间差%*/
	public static final String  LXSY_RZZL_DZXJC= "LXSY_RZZL_DZXJC";

	/** @Fields  LXSY_RZZL_DZXJC2: 绕组直流电阻线间差*/
	public static final String  LXSY_RZZL_DZXJC2= "LXSY_RZZL_DZXJC2";

	/** @Fields LXSY_RZJYJS:  绕组绝缘介损*/
	public static final String  LXSY_RZJYJS= "LXSY_RZJYJS";

	/** @Fields LXSY_TXJDDZ : 铁芯接地电阻（MΩ）*/
	public static final String  LXSY_TXJDDZ= "LXSY_TXJDDZ";

	/** @Fields  LXSY_MPJYDZ: 末屏绝缘电阻（MΩ）*/
	public static final String  LXSY_MPJYDZ= "LXSY_MPJYDZ";

	/** @Fields  LXSY_TGJS: 套管介损*/
	public static final String  FJTG_TGJS= "FJTG_TGJS";

	/** @Fields  LXSY_TGH2: 套管H2*/
	public static final String FJTG_TGH2 = "FJTG_TGH2";

	/** @Fields  LXSY_TGCH4: 套管CH4*/
	public static final String FJTG_TGCH4 = "FJTG_TGCH4";

	/** @Fields  LXSY_TGC2H2: 套管C2H2*/
	public static final String FJTG_TGC2H2 = "FJTG_TGC2H2";

	/*************************************变压器及附件可靠性、遗传及风险，权重*************************************/
	/** @Fields BYQ_FJKG : 分接开关*/
	public static final String  BYQ_FJKG= "BYQ_FJKG";

	/** @Fields BYQ_TG : 套管*/
	public static final String  BYQ_TG= "BYQ_TG";

	/** @Fields BYQ_FDLBHZZ : 非电量保护装置*/
	public static final String  BYQ_FDLBHZZ= "BYQ_FDLBHZZ";

	/** @Fields BYQ_LQXT : 冷却系统*/
	public static final String  BYQ_LQXT= "BYQ_LQXT";

	/** @Fields BYQ_BT : 冷却系统*/
	public static final String  BYQ_BT= "BYQ_BT";

	/*********************************新加子项***********************************************/
	public static final String  BYQ_BT_YWXJ= "FJQS_YWXJ";      //油位下降(%)权重
	public static final String  BYQ_BT_LYCS= "FJQS_LYCS";      //漏油次数权重
	public static final String  BYQ_BT_BYQZS= "FJQS_BYQZS";    //变压器噪声(dB)权重

	public static final String  BYQ_LQXT_SW= "FJLQXT_SW";  		//水温(℃)权重
	public static final String  BYQ_LQXT_SY= "FJLQXT_SY";			//水压权重
	public static final String  BYQ_LQXT_HJWD= "FJLQXT_HJWD"; 	//环境温度(℃)权重
	public static final String  BYQ_LQXT_FJSHJXCS= "FJLQXT_FJSHJXCS";		//风机损坏检修次数权重

	public static final String  BYQ_FJKG_YJCDYBHL= "FJFJKG_YJCDYBHL";					//油击穿电压变化率（Kv，%）权重
	public static final String  BYQ_FJKG_CDJGYWWT= "FJFJKG_CDJGYWWT";					//传动机构有无问题(Y/N)权重

	public static final String  BYQ_FDLBHZZ_JDQDZ= "FJFDLBH_JDQDZ";					//继电器动作权重
	public static final String  BYQ_FDLBHZZ_YLSFDZ= "FJFDLBH_YLSFDZ";				//压力释放阀动作权重

	public static final String  BYQ_TG_MPJYDZ= "FJTG_MPJYDZ";				//末屏绝缘电阻（MΩ）
	public static final String  BYQ_TG_QDL= "FJTG_QDL";					//全电流(mA)
	public static final String  BYQ_TG_RXDL= "FJTG_RXDL";				//容性电流(mA)
	public static final String  BYQ_TG_ZXDL= "FJTG_ZXDL";				//阻性电流(mA)
	public static final String  BYQ_TG_HWWD= "FJTG_HWWD";				//红外温度(℃)
	public static final String  BYQ_TG_MPJS= "FJTG_MPJS";				//末屏介损(tgδ)
	public static final String  BYQ_TG_MPJYDR= "FJTG_MPJYDR";				//电容量（pF）
	public static final String  BYQ_TG_TGJS= "FJTG_TGJS";				//套管介损-例行试验(tgδ)
	public static final String  BYQ_TG_TGH2= "FJTG_TGH2";				//套管H2(μL/L)
	public static final String  BYQ_TG_TGCH4= "FJTG_TGCH4";				//套管CH4(μL/L)
	public static final String  BYQ_TG_TGC2H2= "FJTG_TGC2H2";				//套管C2H2(μL/L)
	public static final String  BYQ_TG_DRL= "FJTG_DRL";				//电容量

	public static final String  BYQ= "BYQ";

	public static final String  BLQ= "BLQ";

	public static final String  BYQ_FJ= "FUJIAN";

	public static final String  GIS= "GIS";

}
