package com.huatek.frame.base.entity;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.Id;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("busi_cable_sub_tree")
public class BusiCableSubTree extends Pojo implements Serializable {

    private static final long serialVersionUID = 4105299534346449694L;

    @FieldName("id")
    @Id(value = "id")
    private String id;

    @FieldName("parent_id")
    private String parentId;

    @FieldName("name")
    private String name;

    @FieldName("status")
    private String status;

    @FieldName("equipment_id")
    private String equipmentId;

    @FieldName("equipment_type")
    private String equipmentType;


    @FieldName("system_code")
    private String systemCode;

    @FieldName("site_id")
    private String siteId;

    @FieldName("create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createTime;
}
