package com.huatek.frame.base.entity;

import java.io.Serializable;

import com.huatek.torch.sql.annotation.FieldName;
import com.huatek.torch.sql.annotation.TableName;
import com.huatek.torch.sql.beans.Pojo;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
/**
 * 系统_角色_资源 entity
 *
 * @author key_dong
 * @date 2018-7-11 12:37:46
 */
@Setter
@Getter
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_role_permission")
public class RolePermission extends Pojo implements Serializable  { 
	
    /**
	 * 
	 */
	private static final long serialVersionUID = -8169294090862105276L;
	
	/**
     * 资源
     */
    @FieldName("permission_id")
    private String permissionId;
    
    /**
     * 角色
     */
    @FieldName("rid")
    private String rid;
}