package com.huatek.frame.base.vo;

import java.io.Serializable;
import java.util.List;

import com.huatek.frame.base.entity.Permission;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * 系统_资源 Vo
 *
 * @author key_dong
 * @date 2018-7-11 14:03:47
 */
@Setter
@Getter
public class PermissionVO implements Serializable {
	private static final long serialVersionUID = 1L;
	/**
	 * 
	 */
	@ApiModelProperty(value="图标",name="ico",required=true)
	private String ico="";
	/**
	 * 
	 */
	@ApiModelProperty(value="等级",name="level",required=true)
	private Integer level;
	/**
	 * 
	 */
	@ApiModelProperty(value="名称",name="pname",required=true)
	private String pname="";
	/**
	 * 
	 */
	@ApiModelProperty(value="父id",name="parentId",required=true)
	private String parentId="";
	/**
	 * 
	 */
	@ApiModelProperty(value="资源类型",name="resourceType",required=true)
	private String resourceType="";
	/**
	 * 是否删除(0 否 1是)
	 */
	@ApiModelProperty(value="是否删除(0 否 1是)",name="deleted",required=true)
	private String deleted="";
	/**
	 * 
	 */
	@ApiModelProperty(value="权限编码",name="permission",required=true)
	private String permission="";
	/**
	 * 
	 */
	@ApiModelProperty(value="id",name="id",required=true)
	private String id;
	/**
	 * 
	 */
	@ApiModelProperty(value="页面地址",name="url",required=true)
	private String url="";

	/**
	 * 父菜单名称
	 */
	@ApiModelProperty(value="页面地址",name="url",required=true)
	private String parentName;
	
	@ApiModelProperty(value="内部菜单",name="iFrame",required=true)
	private String iFrame;
	
	/**
	 * 所有菜单集合
	 */
	@ApiModelProperty(value="子集合",name="datas",required=true)
	private List<Permission> datas; 

}