package com.huatek.frame.base.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
public class WebLog implements Serializable {

    private String id;

    @ApiModelProperty(value="操作时间",name="createDate",required=true)
    private LocalDateTime createDate;

    @ApiModelProperty(value="ip",name="ipAddress",required=true)
    private String ipAddress;

    @ApiModelProperty(value="功能",name="methodName",required=true)
    private String methodName;

    @ApiModelProperty(value="模块",name="modelName",required=true)
    private String modelName;

    @ApiModelProperty(value="项目",name="projectName",required=true)
    private String projectName;

    @ApiModelProperty(value="请求方式",name="requestMethod",required=true)
    private String requestMethod;

    @ApiModelProperty(value="类对象",name="requestName",required=true)
    private String requestName;

    @ApiModelProperty(value="url",name="requestUrl",required=true)
    private String requestUrl;

    @ApiModelProperty(value="用户id",name="userId",required=true)
    private String userId;

    @ApiModelProperty(value="参数",name="param",required=true)
    private String param;

    @ApiModelProperty(value="用户名",name="userName",required=true)
    private String userName;
}
