package com.huatek.frame.base.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;


/**
 * @ClassName：RsaProperties
 * @Description： 秘钥
 * @Author： Arno_Fu
 * @CreatTime：12/29/2020 - 11:37 AM
 * @Version V1.0
 */
@Data
@Service
public class CustomRsaProperties {

    public static String privateKey;

    @Value("${rsa.private_key}")
    public void setPrivateKey(String privateKey) {
        CustomRsaProperties.privateKey = privateKey;
    }
}